<?php

Yii::import('zii.widgets.grid.CCheckBoxColumn');

class ForwardSetRadioColumn extends CCheckBoxColumn {


    public $values = array();
    public $htmlOptions = array();
    public $disabled;


    public function init() {
        parent::init();
        //$this->filter = $this->values;
    }

    protected function renderDataCellContent($row,$data){
        if($this->value!==null)
            $value=$this->evaluateExpression($this->value,array('data'=>$data,'row'=>$row));
        elseif($this->name!==null)
            $value=CHtml::value($data,$this->name);
        else
            $value=$this->grid->dataProvider->keys[$row];

        $checked = false;
        
        if($this->checked!==null)
            $checked=$this->evaluateExpression($this->checked,array('data'=>$data,'row'=>$row));

        $options=$this->checkBoxHtmlOptions;
        
        
        unset($options['class']);
        //dump($options);
        
        if($this->disabled!==null)
            $options['disabled']=$this->evaluateExpression($this->disabled,array('data'=>$data,'row'=>$row));

        $name = $options['name'];
        unset($options['name']);
        $options['value']=$value;
        $options['id']=$this->id.'_'.$row;
        echo CHtml::radioButton($name,$checked,$options);
    }

}
?>