<?php

define( 'GS_VALID', true );  /// this is a parent file
include_once '/usr/share/phonalisa/inc/conf.php';

require_once( GS_DIR .'htdocs/gui/inc/session.php' );

include_once( GS_DIR .'inc/libphonalisa/class.callforwardingfactory.php');
include_once( GS_DIR .'inc/libphonalisa/forward_guielements.php');

#echo GS_DIR .'inc/libphonalisa/forward_guielements.php';
if (! @$_SESSION['login_ok'] ) {
	echo "ERROR: not logged in.";
	die();
}


if (isset($_GET['element_type']) ) {

	$user = new User();
	$user->setId($_SESSION['sudo_user']['info']['id']);
	$callforwards = $user->getDefinedForwards();
	$callforward = null;
	foreach($callforwards as $callforward) {
		if ($callforward->getType() == CallForwardType::Simple) {
			break;
		}
	}

	if ($callforward == null) {

		$callforward = new CallForward();
		$callforward->setType(CallForwardType::Simple);
		$target = new CallForwardTarget();
		$callforward->setCallForwardTarget($target);

	}

	if ($_GET['element_type'] === 'simple_number') {
		echo getElementForSimpleNumber($callforward->getCallForwardTarget());
	} else if ($_GET['element_type'] === 'simple_voicemail') {
		echo getElementForSimpleVoicemail($callforward->getCallForwardTarget());
	}

} else if (isset($_GET['listItem'])) {
	foreach ($_GET['listItem'] as $position => $item) {
		$sql[] = "UPDATE `table` SET `position` = $position WHERE `id` = $item";
	}
	//print_r ($sql);
} else if (isset($_GET['addItem'])) {

	$user = new User();
	$user->setId($_SESSION['sudo_user']['info']['id']);
	$fw = CallForwardingFactory::getNewEmptyAdvancedCallForwardForUser($user);

	printEditForCallForwardListItemFromForward($fw);

} else if (isset($_GET['addCriteria'])) {

	$criteriaTypeName = $_GET['addCriteria'];
	//get criteria html

	$removeLink = '<a class="removeLinkToggle" href="#"><img src="img/list-remove.png" alt="Remove"></a>';

	if($criteriaTypeName == "phoneStatus") {
		echo "<li>";
		printPhoneStatusCriteriaHtml();
		echo $removeLink . '</li>';
	} else if($criteriaTypeName == "jabberStatus") {
		echo "<li>";
		printJabberStatusCriteriaHtml();
		echo $removeLink . '</li>';
	} else if($criteriaTypeName == "timeRule") {
		echo "<li>";
		printDateTimeCriteriaHtml();
		echo '</li>';
	} else if($criteriaTypeName == "calendar") {
		echo "<li>";
		printCalendarCriteriaHtml();
		echo $removeLink . '</li>';
	} else if($criteriaTypeName == "addressbook") {
		echo "<li>";
		echo printAddressbookCriteriaHtml();
		echo $removeLink . '</li>';
	}

} else if (isset($_REQUEST['saveRule'])) {

	$valuestring = $_REQUEST['saveRule'];
	$values = preg_split("/&/", $valuestring);
	foreach($values as $value) {
		$parts = preg_split("/=/", $value);
		$key = $parts[0];
		$val = $parts[1];

		if (preg_match("/^criteria_(.*)/", $key, $criteriaNameMatch)) {
			//defines a criteria
			$criteriaName = $criteriaNameMatch[1];
				
			if ($criteriaName == "phoneStatus") {
				//Add phonestatuscriteria to callforward
			}
				
		}

		echo "Saving $key = $val\n";
	}


	//print_r($values);

	//print back the representation of the callforward as non editable

} else if (isset($_REQUEST['getJson'])) {
	
	$user = new User();
	$user->setId($_SESSION['sudo_user']['info']['id']);
	echo CallForwardingFactory::getJSONRepresentationOfUserCallForward($user->getUserForward());
	
} else if (isset($_REQUEST['setJson'])) {
	
	$user = new User();
	$user->setId($_SESSION['sudo_user']['info']['id']);

	$var = $_REQUEST['jsonData'];
	//$var = '{"active":"simple","callforwards":{"1":{"id":1,"type":"simple","target":{"type":"number","title":"Rufnummer","desc":"Rufnummer 25","properties":{"number":"25"}},"criterias":[]},"2":{"id":2,"type":"advanced","target":{"type":"number","title":"Rufnummer","desc":"Rufnummer 0013245","properties":{"number":"0013245"}},"criterias":[{"name":"PhoneStatus","properties":{"phonestatus":"busy"}},{"name":"PhoneStatus","properties":{"phonestatus":"noanswer","calltimeout":"25"}}]},"7":{"id":7,"type":"advanced","target":{"type":"voicemail","title":"Anrufbeantworter","desc":"Anrufbeantworter mit Ansage vm-testfick-123","properties":{"voicemailfile":"vm-testfick-123"}},"criterias":[{"name":"PhoneStatus","properties":{"phonestatus":"offline"}}]},"8":{"id":8,"type":"advanced","target":{"type":"voicemail","title":"Anrufbeantworter","desc":"Anrufbeantworter mit Ansage vm-testfick-123","properties":{"voicemailfile":"vm-testfick-123"}},"criterias":[{"name":"JabberStatus","properties":{"jabberstatus":"offline"}}]}},"possibleCriterias":{"PhoneStatus":{"name":"PhoneStatus","title":"Telefonstatus","propertyTypes":[{"name":"phonestatus","title":"Telefonstatus ist: ","type":"select","capabilities":{"noanswer":{"name":"noanswer","title":"Keine Antwort nach","propertyTypes":[{"name":"calltimeout","title":null,"type":"numeric"}]},"busy":{"name":"busy","title":"Besetzt"},"offline":{"name":"offline","title":"Abgemeldet"}}}]},"JabberStatus":{"name":"JabberStatus","title":"Jabberstatus","propertyTypes":[{"name":"jabberstatus","title":"Jabberstatus ist:","type":"select","capabilities":{"online":{"name":"online","title":"Online"},"away":{"name":"away","title":"Abwesend"},"busy":{"name":"busy","title":"Besch&uaml;ftigt"},"offline":{"name":"offline","title":"Abgemeldet"}}}]}},"possibleTargets":[{"type":"number","title":"Rufnummer","propertyTypes":[{"name":"number","title":"Rufnummer: ","type":"telephonnumber"}]},{"type":"voicemail","title":"Anrufbeantworter","propertyTypes":[{"name":"voicemailfile","title":"Ansagedatei: ","type":"select","capabilities":[{"name":"vm-testfick-123","title":"Ausserhalb der Geschäftszeiten"},{"name":"vm-blahdateiname-12398493","title":"Noch eine andere Ansage"}]}]}]}';
	$jsonObject = json_decode($var);
	//print_r($jsonObject);
	$forward = CallForwardingFactory::getUserCallForwardFromJSONRepresentation($jsonObject, $user);
	$user->setUserForward($forward);
	echo CallForwardingFactory::getJSONRepresentationOfUserCallForward($forward);
	
	//print_r($forward);
	
	
		
} else if (isset($_REQUEST['getQueueJson'])) {
	
	$queue = new Queue();
	$queue->setId($_REQUEST['queueid']);
	echo CallForwardingFactory::getJSONRepresentationOfQueueCallForward($queue->getQueueForward());
	
} else if (isset($_REQUEST['setQueueJson'])) {
	
	$queue = new Queue();
	$queue->setId($_REQUEST['queueid']);

	$var = $_REQUEST['jsonData'];
	
	dbg($var);
	
	//$var = '{"active":"simple","callforwards":{"1":{"id":1,"type":"simple","target":{"type":"number","title":"Rufnummer","desc":"Rufnummer 25","properties":{"number":"25"}},"criterias":[]},"2":{"id":2,"type":"advanced","target":{"type":"number","title":"Rufnummer","desc":"Rufnummer 0013245","properties":{"number":"0013245"}},"criterias":[{"name":"PhoneStatus","properties":{"phonestatus":"busy"}},{"name":"PhoneStatus","properties":{"phonestatus":"noanswer","calltimeout":"25"}}]},"7":{"id":7,"type":"advanced","target":{"type":"voicemail","title":"Anrufbeantworter","desc":"Anrufbeantworter mit Ansage vm-testfick-123","properties":{"voicemailfile":"vm-testfick-123"}},"criterias":[{"name":"PhoneStatus","properties":{"phonestatus":"offline"}}]},"8":{"id":8,"type":"advanced","target":{"type":"voicemail","title":"Anrufbeantworter","desc":"Anrufbeantworter mit Ansage vm-testfick-123","properties":{"voicemailfile":"vm-testfick-123"}},"criterias":[{"name":"JabberStatus","properties":{"jabberstatus":"offline"}}]}},"possibleCriterias":{"PhoneStatus":{"name":"PhoneStatus","title":"Telefonstatus","propertyTypes":[{"name":"phonestatus","title":"Telefonstatus ist: ","type":"select","capabilities":{"noanswer":{"name":"noanswer","title":"Keine Antwort nach","propertyTypes":[{"name":"calltimeout","title":null,"type":"numeric"}]},"busy":{"name":"busy","title":"Besetzt"},"offline":{"name":"offline","title":"Abgemeldet"}}}]},"JabberStatus":{"name":"JabberStatus","title":"Jabberstatus","propertyTypes":[{"name":"jabberstatus","title":"Jabberstatus ist:","type":"select","capabilities":{"online":{"name":"online","title":"Online"},"away":{"name":"away","title":"Abwesend"},"busy":{"name":"busy","title":"Besch&uaml;ftigt"},"offline":{"name":"offline","title":"Abgemeldet"}}}]}},"possibleTargets":[{"type":"number","title":"Rufnummer","propertyTypes":[{"name":"number","title":"Rufnummer: ","type":"telephonnumber"}]},{"type":"voicemail","title":"Anrufbeantworter","propertyTypes":[{"name":"voicemailfile","title":"Ansagedatei: ","type":"select","capabilities":[{"name":"vm-testfick-123","title":"Ausserhalb der Geschäftszeiten"},{"name":"vm-blahdateiname-12398493","title":"Noch eine andere Ansage"}]}]}]}';
	$jsonObject = json_decode($var);
	//print_r($jsonObject);
	$forward = CallForwardingFactory::getQueueCallForwardFromJSONRepresentation($jsonObject, $queue);
	$queue->setQueueForward($forward);
	echo CallForwardingFactory::getJSONRepresentationOfQueueCallForward($forward);
	
	//print_r($forward);
	
	
		
}







