<?php

$this->widget('ext.PlGrid.PlGridView', array(
    'id' => 'alerts-grid',
    'headerTitle' => 'Header_title', // optional
    'itemsCssClass' => 'plTable items',
    'showNavbar' => false,
    'modalUpdateHeader' => 'ALERT_MODEL_DESCRIPTION', // optional
    'dataProvider' => $alert->getAlertDataProviderForAdminUser($model->settings),
    'columns' => array(
        array(
            'name' => 'component',
            'header' => $alert->getAttributeLabel('component'),
            'headerHtmlOptions' => array('data-translation-target' => 'ALERT_MODEL_COMPONENT',
                'data-translation-id' => 'ALERT_MODEL_COMPONENT'
            ),
        ),
        array(
            'name' => 'level',
            'type' => 'raw',
            'header' => __("ADMIN_USERES_FORM_ALERTS_LEVEL"),
            'headerHtmlOptions' => array('data-translation-target' => 'ALERT_MODEL_LEVEL',
                'data-translation-id' => 'ADMIN_USERES_FORM_ALERTS_LEVEL'
            ),
        ),
    ),
        )
);
