<?php

$this->widget('ext.PlGrid.PlGridView', array(
    'id' => 'dhcp-leases-grid',
    'headerTitle' => 'NETWORK_DHCP_TITLE',
    'enableAddButton' => false,
    'summaryText' => false,
    'enableSearchButton' => false,
    'useCustomTitle' => true,
    'showAlertBlock' => true,
    'alertAutoHide' => false,
    'dataProvider' => $dataProvider,
    'customButtons' => $this->getTabItems($model),
    'columns' => array(
        array(
            'name' => 'ip',
            'header' => __('NETWORK_ADAPTER_SETTINGS_DHCP_IP'),
            'headerHtmlOptions' => array('data-translation-id' => 'NETWORK_ADAPTER_SETTINGS_DHCP_IP'),
        ),
        array(
            'name' => 'hostname',
            'header' => __('NETWORK_ADAPTER_SETTINGS_DHCP_HOSTNAME'),
            'headerHtmlOptions' => array('data-translation-id' => 'NETWORK_ADAPTER_SETTINGS_DHCP_HOSTNAME'),
        ),
        array(
            'name' => 'mac',
            'header' => __('NETWORK_ADAPTER_SETTINGS_DHCP_MAC'),
            'headerHtmlOptions' => array('data-translation-id' => 'NETWORK_ADAPTER_SETTINGS_DHCP_MAC'),
        ),
        array(
            'name' => 'starts',
            'type' => 'raw',
            'header' => __('NETWORK_ADAPTER_SETTINGS_DHCP_STARTS'),
            'headerHtmlOptions' => array('data-translation-id' => 'NETWORK_ADAPTER_SETTINGS_DHCP_STARTS'),
            'value' => array($this, 'getHumandReadableDhcpStartTime')
        )
    ),
        )
);
