<?php
require_once "Text.php";

class AltText extends Text {

	private $text = null;
	
	public function __construct($text = null) {
			
		if ($text != null) {
			$this->text = $text;
		}
		
		$attributes = array();
		
		parent::__construct($attributes);
	}
	
	public function renderXMLBeforeChildsHook(xmlWriter &$xw) {
		$xw->text($this->text);
	}	
	

	protected function name() {
		return "AltText";
	}
	
}