################################################################################################
## Configuration template for UC860 firmware version 1.0.3.56 
################################################################################################
###########################################################################################
# Account Settings
###########################################################################################
#---------------------------------------
# Account 1--basic setting
#---------------------------------------

# Account Active (In Use). 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P271 = 1

# Primary SIP Server(eg:sip.mycompany.com  or IP address)
# String
P47 = 

# Failover SIP Server(Optional, used when primary server no response)
# String
P967 =

# Prefer Primary SIP Server(Yes-will register to Primary SIP Server if Failover registration expires )
# Prefer Primary SIP Server (In Use). 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4567 = 0

# Outbound Proxy(proxy.myprovider.com, or IP address, if any)
# string
P48 =

# SIP Transport
# 0 - UDP, 1 - TCP, 2 - TLS
P130 = 0

# NAT Traversal. 0 - No, 1 - STUN  2 - No,but send keep alive 
#Number: 0-2
# Mandatory
P52 = 2

# SIP User ID 
P35 = 

# Authenticate ID
P36 = 

# Authenticate password
P34 = 

# Name
P3 = 

# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV 
# Number: 0-2
# Mandatory
P103 = 0

# User ID Is Phone Number.0 - No, 1 - Yes
# Number:0, 1
P63 = 1

# SIP Registration. 0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P31 = 1

# Unregister On Reboot.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P81 = 1

# Register Expiration(in minutes. default 1 hour, max 45 days)
P32 = 15

# Outgoing Call Without Registration.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P109 = 1

# Local SIP Port(default 5060)
P40 = 5060

# Local RTP Port(1024-65535, default 5004)
P39 = 5004

# Use Random Port.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P78 = 0

# Voice Mail UserID(UserID for voice mail system)
P33 =

#-------------------------------------------
# Account 1--codec setting
#-------------------------------------------
# Preferred Vocoder In listed order
# 0 - PCMU, 2 - G.726-32, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B,
# choice 1.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P57 = 0

# choice 2.  
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P58 = 8

# choice 3.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P59 = 18

# choice 4.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P60 = 2

# choice 5.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P61 = 4

# choice 6.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P62 = 9

# Voice Frames Per TX
P37 = 2

# G723 Rate.0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate
P49 = 0

#----------------------------------------
# Account 1--advanced setting
#----------------------------------------
# DTMF Payload Type
P79 = 101

# DTMF IN Audio.0 - no, 1 - yes
P850 = 0

# DTMF Via RFC2833.0 - no, 1 - yes
P851 = 0

# DTMF Via SIP INFO.0 - no, 1 - yes
P852 = 1

#Send Flash Event.0 - no, 1 - yes
P74 = 0

#Enable Call Features.0 - no, 1 - yes
P191 = 1

# Proxy Require
# string
P197 =

# Use NAT IP(use in SIP/SDP message if specified)
P101 =

# SRTP Mode 0 = Disabled, 1 = Enabled but not forced,  2 = Enabled and forced
P183 = 0

# VAD.0 - no, 1 - yes
P50 = 0

# Symmetric RTP.0 - no, 1 - yes
P291 = 0

# Jitter Buffer Type.0 - fixed, 1 - adaptive
P133 = 1

# Jitter Buffer Length.0 - low, 1 - medium, 2 - high
P132 = 1

# Account Ring Tone
# 0 - default, 1 - Ring1.bin, 2 - Ring2.bin, 
# 3 - Ring3.bin, 4 - Ring4.bin, 5 - Ring5.bin, 
# 6 - Ring6.bin, 7 - Ring7.bin, 8 - Ring8.bin
P104 = 8

# Ring Timeout(10-300 seconds,default is 60 seconds)
P185 = 60

# Use # As Dial Key.0 - no, 1 - yes
P72 = 1

# Dial Plan (dial plan prefix string).
# String
P4200 = {[x*]+}

# Subscribe for MWI.0 - no,do not send SUBSCRIBE for Message Waiting Indication, 1 - yes,send periodical SUBBSCRIBE for ,Message Waiting indication
P99 = 0

# Send Anonymous.0 - no, 1 - yes
P65 = 0

# Anonymous Call Rejection.0 - no, 1 - yes
P129 = 0

# Check SIP User ID.0 - no, 1 - yes
P258 = 0

# Auto Answer.0 - no, 1 - yes
P90 = 0

# Allow Auto Answer By Call-Info.0 - no, 1 - yes
P298 = 1

# Turn off Speaker on remote disconnect.0 - no, 1 - yes
P299 = 1

# Session Expiration(default is 180 seconds)
P260 = 180

# Min-SE(default and minimum is 90 seconds)
P261 = 90

# Caller Request Timer (Request for timer when making outbound calls) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P262 = 0

# Callee Request Timer (when caller supports timer but did not request one) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P263 = 0

# Force Timer (use timer even when remote party does not support) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P264 = 0

# UAC Specify Refresher. 1 - UAC, 2 - UAS, 0 - omit(Recommended)
# Number: 0-2
# Mandatory
P266 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS(When UAC did not)
# Number: 1, 2
# Mandatory
P267 = 1

# Force INVITE (Always refresh with INVITE instead of UPDATE ) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P265 = 0

# Hook Flash Timing
P251 = 30
P252 = 100

# Special Feature
# 100 - Standard, 104 - World Call, 106 - NETHID
P198 =100

# Eventlist BLF URL
P134 =

# Share Line
# 0 - Disable, 1 - Broadsoft, 2 - BLA
P8771 = 0

# SIP Server Type
# 0 - Default, 1 - BroadSoft
P8791 = 0

# 100 reliable retransmission
# 0 - Disable, 1 - Enable
P8811 = 0

# Early-Session
# 0 - Disable, 1 - Enable
P8841 = 0

# Direct Call Pickup Code
P4705 =

# Group Call Pickup Code
P4706 =
#------------------------------------------
# Account 2--basic setting
#------------------------------------------

# Account Active (In Use). 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P401 = 0

# Primary SIP Server(eg:sip.mycompany.com or IP address)
# String
P747 = 

# Failover SIP Server(Optional, used when primary server no response)
# String
P987 =

# Prefer Primary SIP Server(Yes-will register to Primary SIP Server if Failover registration expires )
# Prefer Primary SIP Server (In Use). 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4568 = 0

# Outbound Proxy(proxy.myprovider.com, or IP address, if any)
# string
P748 =

# SIP Transport
# 0 - UDP, 1 - TCP, 2 - TLS
P830 = 0

# NAT Traversal. 0 - No, 1 - STUN  2 - No,but send keep alive 
#Number: 0-2
# Mandatory
P730 = 2

# SIP User ID 
P735 = 

# Authenticate ID
P736 = 

# Authenticate password
P734 = 

# Name
P703 = 

# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV 
# Number: 0-2
# Mandatory
P702 = 0

# User ID Is Phone Number.0 - No, 1 - Yes
# Number:0, 1
P763 = 0

# SIP Registration. 0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P731 = 1

# Unregister On Reboot.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P752 = 1

# Register Expiration(in minutes. default 1 hour, max 45 days)
P732 = 15

# Outgoing Call Without Registration.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P813 = 1

# Local SIP Port(default 5060)
P740 = 5160

# Local RTP Port(1024-65535, default 5004)
P739 = 5104

# Use Random Port.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P778 = 0

# Voice Mail UserID(UserID for voice mail system)
P426 =

#------------------------------------------
# Account 2--codec setting
#------------------------------------------
# Preferred Vocoder In listed order
# 0 - PCMU, 2 - G.726-32, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B,
# choice 1.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P757 = 0

# choice 2.  
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P758 = 8

# choice 3.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P759 = 18

# choice 4.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P760 = 2

# choice 5.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P761 = 4

# choice 6.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P762 = 9

# Voice Frames Per TX
P737 = 2

# G723 Rate.0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate
P749 = 0

#-------------------------------------------------
# Account 2--advanced setting
#-------------------------------------------------
# DTMF Payload Type
P779 = 101

# DTMF IN Audio.0 - no, 1 - yes
P860 = 0

# DTMF Via RFC2833.0 - no, 1 - yes
P861 = 1

# DTMF Via SIP INFO.0 - no, 1 - yes
P862 = 0

#Send Flash Event.0 - no, 1 - yes
P774 = 0

#Enable Call Features.0 - no, 1 - yes
P751 = 1

# Proxy Require
# string
P792 =

# Use NAT IP(use in SIP/SDP message if specified)
P866 =

# SRTP Mode 0 = Disabled, 1 = Enabled but not forced,  2 = Enabled and forced
P443 = 0

# VAD.0 - no, 1 - yes
P750 = 0

# Symmetric RTP.0 - no, 1 - yes
P460 = 0

# Jitter Buffer Type.0 - fixed, 1 - adaptive
P831 = 1

# Jitter Buffer Length.0 - low, 1 - medium, 2 - high
P832 = 1

# Account Ring Tone
# 0 - default, 1 - Ring1.bin, 2 - Ring2.bin, 
# 3 - Ring3.bin, 4 - Ring4.bin, 5 - Ring5.bin, 
# 6 - Ring6.bin, 7 - Ring7.bin, 8 - Ring8.bin
P423 = 8

# Ring Timeout(10-300 seconds,default is 60 seconds)
P816 = 60

# Use # As Dial Key.0 - no, 1 - yes
P772 = 1

# Dial Plan (dial plan prefix string).
# String
P4201 = 

# Subscribe for MWI.0 - no,do not send SUBSCRIBE for Message Waiting Indication
# 1 - yes,send periodical SUBBSCRIBE for ,Message Waiting indication
P709 = 0

# Send Anonymous.0 - no, 1 - yes
P421 = 0

# Anonymous Call Rejection.0 - no, 1 - yes
P446 = 0

# Check SIP User ID.0 - no, 1 - yes
P458 = 0

# Auto Answer.0 - no, 1 - yes
P425 = 0

# Allow Auto Answer By Call-Info.0 - no, 1 - yes
P438 = 1

# Turn off Speaker on remote disconnect.0 - no, 1 - yes
P439 = 1

# Session Expiration(default is 180 seconds)
P434 = 180

# Min-SE(default and minimum is 90 seconds)
P427 = 90

# Caller Request Timer (Request for timer when making outbound calls) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P428 = 0

# Callee Request Timer (when caller supports timer but did not request one) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P429 = 0

# Force Timer (use timer even when remote party does not support) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P430 = 0

# UAC Specify Refresher. 1 - UAC, 2 - UAS, 0 - omit(Recommended)
# Number: 0-2
# Mandatory
P432 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS(When UAC did not)
# Number: 1, 2
# Mandatory
P433 = 1

# Force INVITE (Always refresh with INVITE instead of UPDATE ) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P431 = 0

# Hook Flash Timing
P811 = 30
P812 = 100

# Special Feature
# 100 - Standard, 104 - World Call, 106 - NETHID
P767 = 100

# Eventlist BLF URL
P444 =

# Share Line
# 0 - Disable, 1 - Broadsoft, 2 - BLA
P8772 = 0

# SIP Server Type
# 0 - Default, 1 - BroadSoft
P8792 = 0

# 100 reliable retransmission
# 0 - Disable, 1 - Enable
P8812 = 0

# Early-Session
# 0 - Disable, 1 - Enable
P8842 = 0

# Direct Call Pickup Code
P4715 =

# Group Call Pickup Code
P4716 =

#-------------------------------------------
# Account 3--basic setting
#-------------------------------------------

# Account Active (In Use). 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P501 = 0

# Primary SIP Server(eg:sip.mycompany.com or IP address)
# String
P502 = 

# Failover SIP Server(Optional, used when primary server no response)
# String
P988 =

# Prefer Primary SIP Server(Yes-will register to Primary SIP Server if Failover registration expires )
# Prefer Primary SIP Server (In Use). 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4569 = 0

# Outbound Proxy(proxy.myprovider.com, or IP address, if any)
# string
P503 =

# SIP Transport
# 0 - UDP, 1 - TCP, 2 - TLS
P930 = 0

# NAT Traversal. 0 - No, 1 - STUN  2 - No,but send keep alive 
#Number: 0-2
# Mandatory
P514 = 2

# SIP User ID 
P504 = 

# Authenticate ID
P505 = 

# Authenticate password
P506 = 

# Name
P507 = 

# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV 
# Number: 0-2
# Mandatory
P508 = 0

# User ID Is Phone Number.0 - No, 1 - Yes
# Number:0, 1
P509 = 0

# SIP Registration. 0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P510 = 1

# Unregister On Reboot.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P511 = 1

# Register Expiration(in minutes. default 1 hour, max 45 days)
P512 = 15

# Outgoing Call Without Registration.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P913 = 1

# Local SIP Port(default 5060)
P513 = 5260

# Local RTP Port(1024-65535, default 5004)
P549 = 5204

# Use Random Port.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P578 = 0

# Voice Mail UserID(UserID for voice mail system)
P526 =

#-------------------------------------------
# Account 3--codec setting
#-------------------------------------------
# Preferred Vocoder In listed order
# 0 - PCMU, 2 - G.726-32, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B,
# choice 1.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P551 = 0

# choice 2.  
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P552 = 8

# choice 3.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P553 = 18

# choice 4.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P554 = 2

# choice 5.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P555 = 4

# choice 6.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P556 = 9

# Voice Frames Per TX
P537 = 2

# G723 Rate.0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate
P559 = 0

#--------------------------------------------------
# Account 3--advanced setting
#--------------------------------------------------
# DTMF Payload Type
P579 = 101

# DTMF IN Audio.0 - no, 1 - yes
P1650 = 0

# DTMF Via RFC2833.0 - no, 1 - yes
P1651 = 1

# DTMF Via SIP INFO.0 - no, 1 - yes
P1652 = 0

# Jitter Buffer Type.0 - fixed, 1 - adaptive
P1133 = 1

# Jitter Buffer Length.0 - low, 1 - medium, 2 - high
P1132 = 1

# Use NAT IP(use in SIP/SDP message if specified)
P566 =

# Proxy Require
# string
P518 =

# SRTP Mode 0 = Disabled, 1 = Enabled but not forced,  2 = Enabled and forced
P543 = 0

# VAD.0 - no, 1 - yes
P550 =

# Symmetric RTP.0 - no, 1 - yes
P591 =

# Enable Call Features
# 0 - no, 1 - yes
P1891 = 1

# Account Ring Tone
# 0 - default, 1 - Ring1.bin, 2 - Ring2.bin, 
# 3 - Ring3.bin, 4 - Ring4.bin, 5 - Ring5.bin, 
# 6 - Ring6.bin, 7 - Ring7.bin, 8 - Ring8.bin
P523 = 8

# Ring Timeout(10-300 seconds,default is 60 seconds)
P1885 = 60

# Use # As Dial Key.0 - no, 1 - yes
P1672 = 1

# Dial Plan (dial plan prefix string).
# String
P4202 = 

# Subscribe for MWI.0 - no,do not send SUBSCRIBE for Message Waiting Indication,
# 1 - yes,send periodical SUBBSCRIBE for ,Message Waiting indication
P515 = 0

# Send Anonymous.0 - no, 1 - yes
P521 = 0

# Anonymous Call Rejection.0 - no, 1 - yes
P1846 = 0

# Check SIP User ID.0 - no, 1 - yes
P567 = 0

# Auto Answer.0 - no, 1 - yes
P525 = 0

# Allow Auto Answer By Call-Info.0 - no, 1 - yes
P538 = 1

# Turn off Speaker on remote disconnect.0 - no, 1 - yes
P539 = 1

# Session Expiration(default is 180 seconds)
P534 = 180

# Min-SE(default and minimum is 90 seconds)
P527 = 90

# Caller Request Timer (Request for timer when making outbound calls) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P528 = 0

# Callee Request Timer (when caller supports timer but did not request one) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P529 = 0

# Force Timer (use timer even when remote party does not support) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P530 = 0

# UAC Specify Refresher. 1 - UAC, 2 - UAS, 0 - omit(Recommended)
# Number: 0-2
# Mandatory
P532 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS(When UAC did not)
# Number: 1, 2
# Mandatory
P533 = 1

# Force INVITE (Always refresh with INVITE instead of UPDATE ) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P531 = 0

# Hook Flash Timing
P1811 = 30
P1812 = 100

# Special Feature
# 100 - Standard, 104 - World Call, 106 - NETHID
P524 =100

# Eventlist BLF URL
P544 =

# Share Line
# 0 - Disable, 1 - Broadsoft, 2 - BLA
P8773 = 0

# SIP Server Type
# 0 - Default, 1 - BroadSoft
P8793 = 0

# 100 reliable retransmission
# 0 - Disable, 1 - Enable
P8813 = 0

# Early-Session
# 0 - Disable, 1 - Enable
P8843 = 0

# Direct Call Pickup Code
P4725 =

# Group Call Pickup Code
P4726 =

#-------------------------------------------
# Account 4--basic setting
#-------------------------------------------

# Account Active (In Use). 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P601 = 0

# Primary SIP Server(eg:sip.mycompany.com or IP address)
# String
P602 = 

# Failover SIP Server(Optional, used when primary server no response)
# String
P989 =

# Prefer Primary SIP Server(Yes-will register to Primary SIP Server if Failover registration expires )
# Prefer Primary SIP Server (In Use). 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P4570 = 0

# Outbound Proxy(proxy.myprovider.com, or IP address, if any)
# string
P603 =

# SIP Transport
# 0 - UDP, 1 - TCP, 2 - TLS
P1030 = 0

# NAT Traversal. 0 - No, 1 - STUN  2 - No,but send keep alive
#Number: 0-2
# Mandatory
P614 = 2

# SIP User ID 
P604 = 

# Authenticate ID
P605 = 

# Authenticate password
P606 = 

# Name
P607 = 

# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV 
# Number: 0-2
# Mandatory
P608 = 0

# User ID Is Phone Number.0 - No, 1 - Yes
# Number:0, 1
P609 = 0

# SIP Registration. 0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P610 = 1

# Unregister On Reboot.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P611 = 1

# Register Expiration(in minutes. default 1 hour, max 45 days)
P612 = 15

# Outgoing Call Without Registration.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P1013 = 1

# Local SIP Port(default 5060)
P613 = 5360

# Local RTP Port(1024-65535, default 5004)
P649 = 5304

# Use Random Port.0 - No, 1 - Yes
# Number:0, 1
# Mandatory
P678 = 0

# Voice Mail UserID(UserID for voice mail system)
P626 =

#-----------------------------------------
# Account 4--codec setting
#-----------------------------------------
# Preferred Vocoder In listed order
# 0 - PCMU, 2 - G.726-32, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B,
# choice 1.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P651 = 0

# choice 2.  
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P652 = 8

# choice 3.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P653 = 18

# choice 4.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P654 = 2

# choice 5.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P655 = 4

# choice 6.   
# Number: 0, 2, 4, 8, 9, 18
# Mandatory
P656 = 9

# Voice Frames Per TX
P637 = 2

# G723 Rate.0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate
P659 = 0

#-------------------------------------------------
# Account 4--advanced setting
#-------------------------------------------------
# DTMF Payload Type
P679 = 101

# DTMF IN Audio.0 - no, 1 - yes
P1660 = 0

# DTMF Via RFC2833.0 - no, 1 - yes
P1661 = 1

# DTMF Via SIP INFO.0 - no, 1 - yes
P1662 = 0

# Enable Call Features
# 0 - no, 1 - yes
P1991 = 1

# Jitter Buffer Type.0 - fixed, 1 - adaptive
P1233 = 1

# Jitter Buffer Length.0 - low, 1 - medium, 2 - high
P1232 = 1

# Proxy Require
# string
P618 =

# Use NAT IP(use in SIP/SDP message if specified)
P666 =

# SRTP Mode 0 = Disabled, 1 = Enabled but not forced,  2 = Enabled and forced
P643 = 0

# VAD.0 - no, 1 - yes
P695 = 0

# Symmetric RTP.0 - no, 1 - yes
P691 = 0

# Account Ring Tone
# 0 - default, 1 - Ring1.bin, 2 - Ring2.bin, 
# 3 - Ring3.bin, 4 - Ring4.bin, 5 - Ring5.bin, 
# 6 - Ring6.bin, 7 - Ring7.bin, 8 - Ring8.bin
P623 = 8

# Ring Timeout(10-300 seconds,default is 60 seconds)
P1886 = 60

# Use # As Dial Key.0 - no, 1 - yes
P1772 = 1

# Dial Plan (dial plan prefix string).
# String
P4203 = 

# Subscribe for MWI.0 - no,do not send SUBSCRIBE for Message Waiting Indication,
# 1 - yes,send periodical SUBBSCRIBE for ,Message Waiting indication
P615 = 0

# Send Anonymous.0 - no, 1 - yes
P621 = 0

# Anonymous Call Rejection.0 - no, 1 - yes
P1946 = 0

# Check SIP User ID.0 - no, 1 - yes
P667 = 0

# Auto Answer.0 - no, 1 - yes
P625 = 0

# Allow Auto Answer By Call-Info.0 - no, 1 - yes
P638 = 1

# Turn off Speaker on remote disconnect.0 - no, 1 - yes
P639 = 1

# Session Expiration(default is 180 seconds)
P634 = 180

# Min-SE(default and minimum is 90 seconds)
P627 = 90

# Caller Request Timer (Request for timer when making outbound calls) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P628 = 0

# Callee Request Timer (when caller supports timer but did not request one) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P629 = 0

# Force Timer (use timer even when remote party does not support) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P630 = 0

# UAC Specify Refresher. 1 - UAC, 2 - UAS, 0 - omit(Recommended)
# Number: 0-2
# Mandatory
P632 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS(When UAC did not)
# Number: 1, 2
# Mandatory
P633 = 1

# Force INVITE (Always refresh with INVITE instead of UPDATE ) 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
P631 = 0

# Hook Flash Timing
P1911 = 30
P1912 = 100

# Special Feature
# 100 - Standard, 104 - World Call, 106 - NETHID
P624 = 100

# Eventlist BLF URL
P644 =

# Share Line
# 0 - Disable, 1 - Broadsoft, 2 - BLA
P8774 = 0

# SIP Server Type
# 0 - Default, 1 - BroadSoft
P8794 = 0

# 100 reliable retransmission
# 0 - Disable, 1 - Enable
P8814 = 0

# Early-Session
# 0 - Disable, 1 - Enable
P8844 = 0

# Direct Call Pickup Code
P4735 =

# Group Call Pickup Code
P4736 =

############################################################################################
# Network
############################################################################################
#################################
# network--basic
#################################
# WAN. 0 - DHCP, 1 - Static IP Address, 2 - PPPoE
# Number: 0-2
P8 = 0

#--------------------------------------
# DHCP
#--------------------------------------
# DHCP HostName, DHCP option 12. Max length allowed is 64 characters. Default value is 0.
# String
P146 =

# DHCP Domain
P147 =

# DHCP Vendor Class ID, DHCP option 60. Max length allowed is 64 characters. 
# String
P148 =

# DHCP User Class
P149 =
#--------------------------------------
# Static IP Address
#--------------------------------------
# IP Address
P9 = 0 
P10 = 0
P11 = 0
P12 = 0

# Subnet Mask
P13 = 0 
P14 = 0
P15 = 0
P16 = 0

# Default Gateway
P17 = 0 
P18 = 0
P19 = 0
P20 = 0

# Primary DNS
P21 = 8
P22 = 8
P23 = 8
P24 = 8

# Secondary DNS
P25 = 8
P26 = 8
P27 = 4
P28 = 4

#--------------------------------------
# PPPoE
#--------------------------------------
# PPPoE account ID
# String
P82 =

# PPPoE password
# String
# Cannot contain ` or "
P83 =

# PPPoE Service Name
# String
P269 =

# DNS Server 
P92 = 8
P93 = 8
P94 = 8
P95 = 8

# Reply To ICMP
# 0 - no, 1 - yes
P189 = 1

# Http Access
# 0 - no, 1 - yes
P190 = 1

# PC Port
# 1 - As Bridge, 0 - as Router
P231 = 1

# IP Address
P111 = 192.168.66.1

# Subnet Mask
P110 = 255.255.255.0

# IP Lease Time
P112 = 24

############################################
# Network--advanced
############################################
#----------------------------------------
# LLDP
#----------------------------------------

# Active
# 0 - Disable, 1 - Enable
P5438 = 0

# Packed Interval
# number:1-3600s
P5439 = 16

#----------------------------------------
# Qos Set
#----------------------------------------
# Layer 3 QoS (Diff-Serv or Precedence value)
# Number: 0-63
# Mandatory
P38 = 48

# Layer 2 QoS. 802.1Q/VLAN Tag (VLAN classification for RTP)
# Number: 0-4094
# Mandatory
P51 = 0

# Layer 2 QoS. 802.1p priority value (0 - 7).
# Number: 0-7
# Mandatory
P87 = 0

# Data VLAN Tag (vaild only when Bridge mode) 
P229 = 0

#--------------------------------------
# NTP Server
#--------------------------------------
# URL or IP address
P30 = time.windows.com

# Allow DHCP Option 42 To Override NTP Server
# 0 - no, 1 - yes
P144 = 1

#--------------------------------------
# VPN
#--------------------------------------
# Active 
# 0 - no, 1 - yes
P8629 = 0

#--------------------------------------
# Web Server
#--------------------------------------
# HTTP Port
P901 = 80
 
# HTTPS Port
P8724 = 443

# Type
# 0 - Disable, 1 - HTTP&HTTPS, 2 - HTTP Only, 3 - HTTPS Only
P8725 = 1

#--------------------------------------
# 802.1X
#--------------------------------------
# 802.1X Mode 
# 0 - Disable, 1 - EAP-MD5
P8626 = 0

# Identity
P8627 =

# MD5 Password
P8628 =

#--------------------------------------
# Others
#--------------------------------------
# STUN Server (url or ip:port)
P76 =

# Keep-ative Interval(seconds default:20)
P84 = 20

############################################################
# Function Keys
############################################################
#---------------------------------
# Function Keys--Line Key
#---------------------------------
# Line key 1
# Key Type.
# 0 -  N/A
# 1 -  Line
# 2 -  Speeddial, 3 - BLF, 4 - BLF List, 5 -  Voicemail
# 6 -  Direct Pickup, 7 - Group Pickup, 8 - Call Park
# 9 -  Intercom, 10 - DTMF, 11 - Frefix, 12 - Local Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch
# Number: 0-34
# Mandatory
#P41200 = 1

# Value 
#P41300 = 

# Label
#P41400 = 

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P41500 = 255

# Pickup Code
#P41600 = 

# Line key 2
# Key Type
# 0 -  N/A
# 1 -  Line
# 2 -  Speeddial, 3 - BLF, 4 - BLF List, 5 -  Voicemail
# 6 -  Direct Pickup, 7 - Group Pickup, 8 - Call Park
# 9 -  Intercom, 10 - DTMF, 11 - Frefix, 12 - Local Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch
# Number: 0-34
# Mandatory
#P41201 = 1

# Value 
#P41301 = 

# Label
#P41401 = 

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P41501 = 255

# Pickup Code
#P41601 = 

# Line key 3
# Key Type
# 0 -  N/A
# 1 -  Line
# 2 -  Speeddial, 3 - BLF, 4 - BLF List, 5 -  Voicemail
# 6 -  Direct Pickup, 7 - Group Pickup, 8 - Call Park
# 9 -  Intercom, 10 - DTMF, 11 - Frefix, 12 - Local Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch
# Number: 0-34
# Mandatory
#P41202 = 1

# Value 
#P41302 = 

# Label
#P41402 = 

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P41502 = 255

# Pickup Code
#P41602 = 

# Line key 4
# Key Type
# 0 -  N/A
# 1 -  Line
# 2 -  Speeddial, 3 - BLF, 4 - BLF List, 5 -  Voicemail
# 6 -  Direct Pickup, 7 - Group Pickup, 8 - Call Park
# 9 -  Intercom, 10 - DTMF, 11 - Frefix, 12 - Local Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch
# Number: 0-34
# Mandatory
#P41203 = 1

# Value 
#P41303 = 

# Label
#P41403 = 

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P41503 = 255

# Pickup Code
#P41603 = 

#---------------------------------
# Memory Key
#---------------------------------
# Memory key 1
# Memory key 1 Type.
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 -  Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Local Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42200 = 0

# Value
#P42300 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42400 = 0

# Pickup Code
#P42500 = 

# Memory key 2
# Memory key 2 Type. 
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 -  Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42201 = 0

# Value
#P42301 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42401 = 0

# Pickup Code
#P42501 = 

# Memory key 3
# Memory key 3 Type.
# 0 -  N/A, 0 - N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 -  Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42202 = 0

# Value
#P42302 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42402 = 0

# Pickup Code
#P42502 = 

# Memory key 4
# Memory key 4 Type 
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 - Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42203 = 0

# Value
#P42303 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42403 = 0

# Pickup Code
#P42503 = 

# Memory key 5
# Memory key 5 Type. 
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 - Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42204 = 0

# Value
#P42304 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42404 = 0

# Pickup Code
#P42504 = 

# Memory key 6
# Memory key 6 Type. 
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 - Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42205 = 0

# Value
#P42305 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42405 = 0

# Pickup Code
#P42505 = 

# Memory key 7
# Memory key 7 Type. 
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 - Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42206 = 0

# Value
#P42306 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42406 = 0

# Pickup Code
#P42506 = 

# Memory key 8
# Memory key 8 Type. 
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 - Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Auto Answer. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
#P42207 = 0

# Value
#P42307 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42407 = 0

# Pickup Code
#P42507 = 

# Memory key 9
# Memory key 9 Type. 
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 - Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42208 = 0

# Value
#P42308 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42408 = 0

# Pickup Code
#P42508 = 

# Memory key 10
# Memory key 10 Type. 
# 0 -  N/A, 1 - line, 2 - Speed Dial, 3- BLF, 4 - BLF List, 5 - Voice mail
# 6 - Direct Pickup, 7 - Group Pickup, 8 - Call Park, 9 - Intercom, 10 - DTMF, 11 - Prefix
# 12 - Lock Group
# 13 - XML Group, 14 - XML Browser, 15 - LDAP, 16 - BroadSoft Group
# 17 - Conference, 18 - Forward, 19 - Transfer, 20 - Hold
# 21 - DND, 22 - Redial, 23 -  Call Return, 24 - SMS
# 25 - Record, 26 -  URL Record, 27 - Paging
# 28 - Group Listening, 29 - Public Hold, 30 - Private Hold, 31 - Shine Line
# 32 - Hot Desking, 33 - ACD, 34 - Zero Touch, 35 - URL
# Number: 0, 1
# Mandatory
#P42209 = 0

# Value
#P42309 = 

# Account 
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P42409 = 0

# Pickup Code
#P42509 = 

#------------------------------
# Function keys--Programmable key
#------------------------------
# key.softkey1.type.
# 0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
#P43200 = 36

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P43300 = 0

# Value
#P43400 = 

# key.softkey2.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
#P43201 = 37

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P43301 = 0

# Value
#P43401 = 

# key.softkey3.type.
# 0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
#P43202 = 21

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P43302 = 0

# Value
#P43402 = 

# key.softkey4.type.
# 0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
#P43203 = 38

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
#P43303 = 0

# Value
#P43403 = 

# key.UP.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43204 = 36

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43304 = 0

# Value
P43404 = 

# key.Down.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43205 = 37

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43305 = 0

# Value
P43405 = 

# key.Left.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43206 = 41

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43306 = 0

# Value
P43406 = 

# key.Right.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43207 = 42

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43307 = 0

# Value
P43407 = 

# key.OK.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43208 = 40

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43308 = 0

# Value
P43408 = 

# key.Cancel.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43209 = 0

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43309 = 0

# Value
P43409 = 

# key.MUTE.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43212 = 0

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43312 = 0

# Value
P43412 = 

# key.CONF.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43210 = 0

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43310 = 0

# Value
P43410 = 

# key.TRAN.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43213 = 18

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43313 = 0

# Value
P43413 = 

# key.HOLD.type.0 - N/A, 2 - Speed Dial, 6 - Direct Pickup
# 7 - Group Pickup, 9 - Intercom, 12 - Local Group, 13 - XML Group
# 14 - XML Browser, 16 - BroadSoft Group, 18 - Forward, 21 - DND
# 22 - Redial, 23 - Call Return, 24 - SMS,
# 36 - History, 37 - Directory, 38 - Menu, 39 - NewSMS, 40 - Status, 41 - Switch Account Up
# 42 - Switch Account Down, 43 - Local Phone Book, 44 - BroadSoft Phone Book
# 45 - XML Phone Book, 46 - NetWork Call Log
P43211 = 0

# Account
# 255 - Auto, 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P43311 = 0

# Value
P43411 = 

#################################################################################
# Setting
#################################################################################
#-----------------------------------
# Setting--Preference
#-----------------------------------
# Web Language
# 0 - English, 1 - Chinese
P2525 = 0

# Time Zone
# 105 - -11 Samoa, 1 - -10 United States-Hawaii-Aleutian
# 2 - -10 United States-Alaska-Aleutian, 3 - -9 United States-Alaska Time
# 4 - -8 Canada(Vancouver,Whitehorse), 5 - -8 Mexico(Tijuana,Mexicali)
# 6 - -8 United States-Pacific Time, 7 - -7 Canada(Edmonton,Calgary)
# 8 - -7 Mexico(Mazatlan,Chihuahua), 9 - -7 United States-Mountain Time
# 10 - -7 United States-MST no DST, 11 - -6 Canada-Manitoba(Winnipeg)
# 12 - -6 Chile(Easter Islands), 13 - -6 Mexico(Mexico City,Acapulco)
# 14 - -6 United States-Central Time, 15 - -5 Bahamas(Nassau)
# 16 - -5 Canada(Montreal,Ottawa,Quebec), 17 - -5 Cuba(Havana)
# 18 - -5 United States-Eastern Time, 19 - -4:30 Venezuela(Caracas)
# 20 - -4 Canada(Halifax,Saint John), 21 - -4 Chile(Santiago)
# 22 - -4 Paraguay(Asuncion), 23 - -4 United Kingdom-Bermuda(Bermuda)
# 24 - -4 United Kingdom(Falkland Islands), 25 - -4 Trinidad & Tobago
# 26 - -3:30 Canada-New Foundland(St.Johns), 27 - -3 Denmark-Greenland(Nuuk)
# 28 - -3 Argentina(Buenos Aires), 29 - -3 Brazil(no DST)
# 30 - -3 Brazil(DST), 31 - -2 Brazil(no DST), 32 - -1 Portugal(Azores)
# 33 - 0 GMT, 34 - 0 Greenland, 35 - 0 Denmark-Faroe Islands(Torshaven)
# 36 - 0 Ireland(Dublin), 37 - 0 Portugal(Lisboa,Porto,Funchal)
# 38 - 0 Spain-Canary Islands(Las Palmas), 39 - 0 United Kingdom(London)
# 40 - 0 Morocco, 41 - +1 Albania(Tirane),42 - +1 Austria(Vienna)
# 43 - +1 Belgium(Brussels), 44 - +1 Caicos, 45 - +1 Chatam
# 46 - +1 Croatia(Zagreb), 47 - +1 Czech Republic(Prague)
# 48 - +1 Denmark(Kopenhaven), 49 - +1 France(Paris), 50 - +1 Germany(Berlin)
# 51 - +1 Hungary(Budapest), 52 - +1 Italy(Rome), 53 - +1 Luxembourg(Luxembourg)
# 54 - +1 Makedonia(Skopje), 55 - +1 Netherlands(Amsterdam), 56 - +1 Namibia(Windhoek)
# 57 - +2 Estonia(Tallinn), 58 - +2 Finland(Helsinki), 59 - +2 Gaza Strip(Gaza)
# 106 - +2 Greece(Athens), 61 - +2 Israel(Tel Aviv), 62 - +2 Jordan(Amman)
# 63 - +2 Latvia(Riga), 64 - +2 Lebanon(Beirut), 65 - +2 Moldova(Kishinev)
# 66 - +2 Russia(Kaliningrad), 67 - +2 Romania(Bucharest), 68 - +2 Syria(Damascus)
# 69 - +2 Turkey(Ankara), 70 - +2 Ukraine(Kyiv,Odessa), 71 - +3 East Africa Time
# 72 - +3 Iraq(Baghdad), 73 - +3 Russia(Moscow), 74 - +3:30 Iran(Teheran)
# 75 - +4 Armenia(Yerevan), 76 - +4 Azerbaijan(Baku), 77 - +4 Georgia(Tbilisi)
# 78 - +4 Kazakstan(Aqtau), 79 - +4 Russia(Samara), 80 - +5 Kazakstan(Aqtobe)
# 81 - +5 Kyrgyzstan(Bishkek), 82 - +5 Pakistan(Islamabad), 83 - +5 Russia(Chelyabinsk)
# 84 - +5:30 India(Calcutta), 85 - +6 Kazakstan(Astana,Almaty), 86 - +6 Russia(Novosibirsk,Omsk)
# 87 - +7 Russia(Krasnoyarsk), 88 - +7 Thailand(Bangkok), 89 - +8 China(Beijing)
# 90 - +8 Singapore(Singapore), 91 - +8 Australia(Perth), 92 - +9 Korea(Seoul)
# 93 - +9 Japan(Tokyo), 94 - +9:30 Australia(Adelaide), 95 - +9:30 Australia(Darwin)
# 96 - +10 Australia(Sydney,Melbourne,Canberra), 97 - +10 Australia(Brisbane)
# 98 - +10 Australia(Hobart), 99 - +10 Russia(Vladivostok), 100 - +10:30 Australia(Lord Howe Islands)
# 101 - +11 New Caledonia(Noumea), 102 - +12 New Zeland(Wellington,Auckland)
# 103 - +12:45 New Zeland(Chatham Islands), 104 - +13 Tonga(Nukualofa)
P64 = 33

# DHCP Time
# 0 - no, 1 - yes
P143 = 0

# Daylight Saving Time
# 0 - no, 1 - yes
P75 = 0

# Date Display Format 
# 0 - Year - Month - Day, 1 - Month - Day - Year, 2 -  Day - Month - Year
P102 = 0

#Time Format, 0-12 Hour,1-24 Hour
P8624 = 0

# Lock Keypad Update
# 0 - no, 1 - yes
P88 = 0

# Keypad DTMF Tone 
# 0 - no, 1 - yes
P1300 = 0

# MIC Volume Amplification
# 0 - 0dB default, 1 - +6dB, 2 - +4dB, 3 - +2dB, 4 - -2dB, 5 - -4dB, 6 - -6dB
P249 = 0

# Screen Time Out
# 0 - Off, 1 - 1min, 2 - 2min, 3 - 5min, 4 - 10min, 5 - 30min
P8940 = 0

# ScreenSaver Type
# 0 - backlight off, 1 - time & logo, 2 - photo switch
P8950 = 0

# Ring Tones
# 0 - default, 1 - Ring1.bin, 2 - Ring2.bin
# 3 - Ring3.bin, 4 - Ring4.bin, 5 - Ring5.bin
# 6 - Ring6.bin, 7 - Ring7.bin, 8 - Ring8.bin
P8721 = 8

# NO Key Entry Timeout(in seconds, 0 means never timeout, default is 0 seconds)
P85 = 0

# LED Status.Power Status.0 - no, 1 - yes
P3734 = 1

# LED Status.Ringing Status.0 - no, 1 - yes
P3735 = 1

# LED Status. MissCalls Status.0 - no, 1 - yes
P3736 = 1

# LED Status. Voice Message Status.0 - no, 1 - yes
P20082 = 1

#----------------------------------
# Setting--Features
#----------------------------------
# Forward--always
# 1 - on, 0 - off
P53100 = 0

# Target(Target number for transfer)
P53101 =

# On Code
P53102 =

# Off Code
P53103 =

# Forward--Busy
# 1 - on, 0 - off
P53110 = 0

# Target(Target number for transfer)
P53111 =

# On Code
P53112 =

# Off Code
P53113 =

# Forward--No Answer
# 1 - on, 0 - off
P53120 = 0

# After Ring Time(seconds)(waiting time for NoAnswer forward)
P53124 =

# Target(Target number for transfer)
P53121 =

# On Code
P53122 =

# Off Code
P53123 =

# Do Not Disturb.DND On Code(The feature code to enable DND,the phone will send the feature code directly to open DND) 	
P53200 =

# Do Not Disturb.DND Off Code(The feature code to disable DND,the phone will send the feature code directly to close DND)
P53201 =

# Do Not Disturb.Authorized Numbers(comma separated)
P53202 =

# Hotline.Hotline Number
P4210 =

# Hotline.Hotline Time-out(seconds)(0~180s)
P8638 = 0

# Transfer Settings.Blind Transfer On Hook.0 - off, 1 - on
P3201 = 1

# Transfer Settings.Semi-Attended Transfer.0 - off, 1 - on
P3202 = 1

# Transfer Settings.Attended Transfer On Hook.0 - off, 1 - on
P3204 = 1

# Transfer Settings.Transfer Mode via DSSkey
# 0 - Attended Transfer, 1 - Blind Transfer, 2 - New Call
P3205 = 1

# Call Pickup.Direct Call Pickup.0 - off, 1 - on
P4701 = 0

# Call Pickup.Direct Call Pickup Code
P4745 = 

# Call Pickup.Group Call Pickup.0 - off, 1 - on
P4702 = 0

# Call Pickup.Group Call Pickup Code
P4746 = 


# Call Pickup.Visual Alert for BLF Pickup.0 - off, 1 - on
P4703 = 0

# Call Pickup.Audio Alert for BLF Pickup.0 - off, 1 - on
P4704 = 0

# Phone Lock.Keypad Lock.0 - Disabled, 1 - All Keys, 2 - Menu Key
# 3 - Function Keys, 4 - Answer All Only
P8630 = 0

# Phone Lock.Phone Unlock Pin(0~15digial)
P5730 = 

# Phone Lock.Auto Lock Time-Out(0~3600s)
P5731 = 

# Phone Lock.Emergency
P5732 = 

#----------------------------------------
# Setting--Tones
#----------------------------------------
#Call Progress Tones.Dial Tone
P4000 = f1=350@-13,f2=440@-13,c=0/0;

#Call Progress Tones.Ringback Tone
P4001 = f1=440@-19,f2=480@-19,c=2000/4000;

#Call Progress Tones.Busy Tone
P4002 = f1=480@-24,f2=620@-24,c=500/500;

#Call Progress Tones.Reorder Tone
P4003 = f1=480@-24,f2=620@-24,c=250/250;

#Call Progress Tones.Confirmation Tone
P4004 = f1=350@-11,f2=440@-11,c=100/100-100/100-100/100;

#Call Progress Tones.Call Waiting Tone
P4005 = f1=440@-13,c=300/10000-300/10000-0/0;

#--------------------------------
# Setting--SMS
#--------------------------------
# SMS
# Account.0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
P58100 = 0

#---------------------------------
# Setting--Action URL
#---------------------------------
# Setup Completed(This message will be sent out when the phone is start-up completed, available for use.)
P3701 = 

# log On(This message will be sent out when an account is successfully registered.)
P3702 = 

# log Off(This message will be sent out when an account is logged off.)
P3703 = 

# Register Failed(This message will be sent out when an account is registered failed.)
P3704 = 

# Offhook(This message will be sent out when the phone is off hook.)
P3705 = 

# Onfhook(This message will be sent out when the phone is on hook.)
P3706 = 

# Incoming Call(This message will be sent out when there is an incoming call.)
P3707 = 

# Outgoing Call(This message will be sent out when there is an outgoing call.)
P3708 = 

# Call Established(This message will be sent out when a call is established.)
P3709 = 

# Call Terminated(This message will be sent out when a call is terminated.)
P3710 = 

# Open DND(This message will be sent out when DND is enabled.)
P3711 = 

# Close DND(This message will be sent out when DND is disabled.)
P3712 = 

# Open Always Forward(This message will be sent out when always-forward is enabled.)
P3713 = 

# Close Always Forward(This message will be sent out when always-forward is disabled.)
P3714 = 

# Open Busy Forward(This message will be sent out when busy-forward is enabled.)
P3715 = 

# Close Busy Forward(This message will be sent out when busy-forward is disabled.)
P3716 =

# Open No Busy Forward(This message will be sent out when no-answer-forward is enabled.)
P3717 =

# Close No Busy Forward(This message will be sent out when no-answer-forward is disable.)
P3718 =

# Transfer Call(This message will be sent out when transferring a call(including all kinds of transfer).)
P3719 =

# Blind Trandfer call(This message will be sent out when doing blind-transfer.)
P3720 =

# Attended Transfer Call(This message will be sent out when doing attended and semi-attended transfer.)
P3721 =

# Hold(This message will be sent out when holding a call.)
P3722 =

# Unhold(This message will be sent out when unholding the call.)
P3723 =

# Mute(This message will be sent out when muting a call.)
P3724 =

# Unmute(This message will be sent out when unmuting a call.)
P3725 =

# Missed Call(This message will be sent out when there is a new missed call even if missed call logs is disabled.)
P3726 =

# Idle ToBusy( call logs is disabled.)
P3727 =

# Busy To Idel( Busy to IdleBusy to Idle)
P3728 =

# Forward Incoming Call( Forward Incoming Call)
P3729 =

# Reject Incoming Call( Reject Incoming Call)
P3730 =

# Answer New Incoming Call(Answer New Incoming Call)
P3731 =

# TransferFinished(Transfer Finished)
P3732 =

# Transfe Failed(Transfer Failed)
P3733 =

###########################################################
# Management
###########################################################

# Admin password for web interface
P2 = admin

#--------------------------
# Management--Auto Provision
#--------------------------
# Firmware Urgrate
# Urgrate Mode.0 - TFTP, 1 - HTTP, 2 - FTP
P212 = 1

# Firmware Server Path
P192 = update.tiptel-info.de/

# Config Server Path
P237 = 

# HTTP/FTP/HTTPS UserName
P1360 = 

# HTTP/FTP/HTTPS Password
P1361 = 

# Allow DHCP Option
P1145 = 128

# To Override Server.0 - no, 1 - yes
P145 = 1

# AUTO Upgrade.0 - no, 1 - yes
P194 = 1

# check for upgrade every () Minutes
P193 = 166

# Upgrade Check Mode
# 0 -  Always Check For New Firmware
# 1 - check new firmware only when F/W pre/suffix changes
# 2 - Always Skip The Firmware Check
P238 = 0

# Authenticate Cfg File 
# 0 - no, 1 - yes
P240 = 0

# Phonebook XML Download 
# Phonebook XML Server Path
P331 = 

# Phonebook Download Interval(the interval time should be 0-720 days))
P332 = 0

# Remove Manually-edited Entries On Download.0 - no, 1 - yes
P333 = 0

# Phonebook XML Download Enable.0 - no, 1 - yes,HTTP, 2 - yes,TFTP, 3 - yes,FTP
P330 = 0

# SNMP Service 
# SNMP Service Enable.0 - no, 1 - yes
# P8150 = 0

# SNMP Get Community
P8151 = 

# SNMP Set Community
P8152 = 

# SNMP Manager IP 1
P8153 = 

# SNMP Manager IP 2
P8154 = 

# SNMP Manager IP 3
P8155 = 

# SNMP Manager IP 4
P8156 = 

# Management.Configuration
# System Log.Syslog Server
P207 = 

# System Log.Syslog level
# 0 - NONE, 1 - DEBUG, 2 - INFO, 3 - WARNING, 4 - ERROR
P208 = 0