<?php

//require_once 'PhoneModelFactory.php' ;
include dirname(__FILE__).'/../../../lib/AbstractXMLPhoneConfigApp.php'; 
#include "lib/XmlMenuScreen.php";
include "lib/XmlInputScreen.php";

class XmlPhoneConfigApp extends AbstractXMLPhoneConfigApp
{
	private $screen = null;	

	
	public function renderPhoneInput($input) {
		
		$URI = $this->appURL();
		
		$screenAttributes = array();
		$screenAttributes['type']="string";
		$screenAttributes['Beep']="yes";
		$screenAttributes["cancelAction"] = "Wav.Play:http://10.1.0.27:9/auto/zhongguo.wav";
		$screenAttributes["Password"]="yes";
		$screenAttributes["Timeout"]="15";
		$screenAttributes["LockIn"]="no";
		$screenAttributes["inputLanguage"]="German";
		$screenAttributes["displayMode"]="normal";
		$screenAttributes["defaultIndex"] = "";
		
		$screen = new XmlInputScreen($screenAttributes);
		
		$screen->setTitle("Input Test Screen");

		$screen->xw->writeElement("URL", $URI);

		
		$screen->addInputField("IP", "no", "yes", "IP-Test", "1", "IP", "192.168.24.160");
		$screen->addInputField("string", "no", "yes", "User-Test", "user", "2", "User");
		$screen->addInputField("number", "yes", "yes", "Password-Test", "passwd", "3", "12345");
		$screen->addInputField("timeUS", "no", "yes", "US Time Test", "timeUS", "4", "HH:MM:SS AM/PM");
		$screen->addInputField("timeInt", "no", "yes", "Int Time Test", "timeInt",  "5", "HH:MM:SS");
		$screen->addInputField("dateUS", "no", "yes", "US Date Test", "dateUS",  "6", "MM/DD/YYYY");
		
		
		$screen->addButton("1","Exit", $URI="SoftKey:Exit");
		$screen->addButton("2","Button2", $URI="SoftKey:Submit");
		$screen->addButton("4","Button3", $URI="SoftKey:Backspace");
		$screen->addButton("4","Button4", $URI="SoftKey:Submit");
		
		$screen->printScreen();
	
	}		
}
