<?php

$this->widget('ext.PlNavbar', array(
    'brand' => __('ROUTING_QUEUEMONITOR_HEADER_TITLE'),
    'brandUrl' => Gateway::model()->count() ? '#' : url('routingGateways'),
    'htmlOptions' => array(
        'data-translation-id' => 'ROUTING_QUEUEMONITOR_HEADER_TITLE',
    ),
));

echo "<div>";
echo "<span class='alert alert-info' data-translation-id='ROUTING_QUEUE_MONITOR_NO_PERMISSIONS_INFO_TEXT'>" . __("ROUTING_QUEUE_MONITOR_NO_PERMISSIONS_INFO_TEXT") . "</span>";
echo "</div>";

if (AccessManager::checkSessionPermission("adminGroups") === "true") {
    echo "<div style='margin-top:15px;'>";
    $this->widget(
            'bootstrap.widgets.TbButtonGroup', array(
        'buttons' => array(
            array(
                'type' => 'primary',
                'label' => __('ROUTING_QUEUE_MONITOR_UPDATE_GROUPS'),
                'url' => url("adminGroups/default/index"),
                "htmlOptions" => array("data-translation-id" => "ROUTING_QUEUE_MONITOR_UPDATE_GROUPS")
            ),
            array(
                'type' => 'primary',
                'url' => $this->getHelpUrl("adminGroups-queue", false),
                'icon' => 'icon-question',
                'htmlOptions' => array(
                    'data-translation-id' => 'GLOBAL_HELP_BTN',
                    'title' => __('GLOBAL_HELP_BTN'),
                    'target' => '_blank'
                )
            )
        ),
    ));
}
echo "</div>";
