<?php
$form = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'licence-form',
    'gridId' => 'licence-grid',
    'displayProgressBar' => false,
    'enableAjaxValidation' => true,
    "onSubmitError" => "function(jqXHR, textStatus, errorThrown) {
        window.location = '/index.php?r=systemLicence';
    }",
    'htmlOptions' => array('enctype' => 'multipart/form-data'),
        ));

if ($licenseIsValid) {

    $radioList = array(
        'selectActivation' => __('LICENSE_MODEL_SELECT_LICENSE_ACTIVATION'),
        'selectUpgrade' => __('LICENSE_MODEL_SELECT_LICENSE_UPGRADE')
    );
    echo '<div class="licenceActivation-modal">';
    echo CHtml::radioButtonList('licenseTypeSelector', 'selectUpgrade', $radioList, array(
        'class' => 'control-label controls',
        'data-translation-target' => 'LICENSE_MODEL_SELECT_TYPE_TRANSLATION',
        'onChange' => 'licenseTypeSwitcher();'
            )
    );
    echo '<div class="controls selectActivation">';
}

$this->renderPartial('_activateLicense', array('model' => $model, 'form' => $form), false, true);

if ($licenseIsValid) {
    echo '</div>';
    echo '<div class="controls selectUpgrade">';
    $this->renderPartial('_activateUpgrade', array('model' => $model, 'form' => $form), false, true);
    echo '</div>';

    echo '</div>';
}

$this->endWidget();
?>
<script>
    var defaultLicenseKey = '<?php echo PhonalisaLicenseManager::DEFAULT_LICENSE_KEY; ?>';
    licenseTypeSwitcher();

    function licenseTypeSwitcher() {
        if ($('[value="selectActivation"]').is(':checked')) {
            setPlaceholderValue('.selectUpgrade');
            removePlaceholderValue('.selectActivation');

            $('.selectUpgrade').hide();
            $('.selectActivation').show();
        } else {
            setPlaceholderValue('.selectActivation');
            removePlaceholderValue('.selectUpgrade');

            $('.selectActivation').hide();
            $('.selectUpgrade').show();
        }
    }

    function setPlaceholderValue(selector) {
        $(selector + " :input").each(function (i, e) {
            if ($(e).val() === '') {
                $(e).val(defaultLicenseKey);
            }
        });
    }

    function removePlaceholderValue(selector) {
        $(selector + " :input").each(function (i, e) {
            if ($(e).val() === defaultLicenseKey) {
                $(e).val('');
            }
        });
    }

</script>