<?php
class SystemLoadGauge extends AbstractGauge
{
    public function __construct($name, $model = null) {
        
        $this->setModel($model);
        
        $this->setName($name);
        $this->setMin(0);
        $this->setMax(5);
        $this->setMinorTicks(10);
        $this->setSize(120);
        $this->setGreenZones();
        $this->setYellowZones();
        $this->setRedZones();
    }
    
    public function setGreenZones($zones = array())
    {
        $zones = array(
            array(
                "from"=> 0,
                "to"=>2
            )
        );
        return parent::setGreenZones($zones);
    }
    
    public function setYellowZones($zones = array())
    {
        $zones = array(
            array(
                "from"=> 2,
                "to"=>3
            )
        );
        return parent::setYellowZones($zones);
    }
    
    public function setRedZones($zones = array())
    {
        $zones = array(
            array(
                "from"=> 3,
                "to"=>5
            )
        );
        return parent::setRedZones($zones);
    } 
}