<?php
class SystemLoadInfo
{
    
    const ONE_MINUTE = 1;
    const FIVE_MINUTES = 5;
    const TEN_MINUTES = 10;


    private $systemLoadInfo = null;

    public function __construct($systemLoadInfo = null) {
        if ($systemLoadInfo !== null) {
            $this->systemLoadInfo = $systemLoadInfo;
        }
    }
    
    public function initSystemLoadInfo()
    {
        if ($this->systemLoadInfo == null) {
            $this->systemLoadInfo = PhonalisaCtrldConnector::getSystemLoadInfo();
        }
    }

    public function getSystemLoad($duration = self::ONE_MINUTE)
    {
        $this->initSystemLoadInfo();
        return @$this->systemLoadInfo->$duration;
    }
}