<?php

$this->widget('ext.PlNavbar', array(
    'brand' => __('SYSTEM_TRANSLATION_TAGS_SECTION_TITLE'),
    'htmlOptions' => array(
        'data-translation-id' => 'SYSTEM_TRANSLATION_TAGS_SECTION_TITLE',
    ),
));
$this->widget('ext.PlGrid.PlGridView', array(
    'id' => 'version-overview-grid',
    'enableHeaderTranslation' => true,
    'itemsCssClass' => 'plTable items table-fixed',
    'dataProvider' => $this->getArrayDataProvider(),
    'hideHeaderButtons' => true,
    'showNavbar' => false,
    'columns' => array(
        array(
            'name' => 'translationTags',
            'header' => __('SYSTEM_TRANSLATION_TAGS_SECTION_TITLE'),
        ),
        array(
            'name' => 'english',
            'header' => __('SYSTEM_TRANSLATION_TAGS_ENGLISH'),
        ),
        array(
            'name' => 'currentLang',
            'type' => 'raw',
            'header' => __('SYSTEM_TRANSLATION_TAGS_CURRENT_LANGUAGE').": ".$lang,
            'value' => array($this, 'renderCurrentLanguageValue'),
        ),
    ),
        )
);
