#! /bin/bash

cd $1/WebServer/config/
mkdir -p certs
cd certs

openssl genrsa -out phonalisa-siemens-prov.key 1024
openssl req -batch -new -key phonalisa-siemens-prov.key -out phonalisa-siemens-prov.csr
openssl x509 -req -days 3650 \
	-in phonalisa-siemens-prov.csr \
	-signkey phonalisa-siemens-prov.key \
	-out phonalisa-siemens-prov.crt

mkdir -p $1/Data/backup




