<?php
require_once 'class.abstractcallforwardtarget.php';

class CallForwardTarget_Number extends AbstractCallForwardTarget {

	public function __construct() {
		$this->setCallForwardType("number");
		$this->setTitle(__("PHONESETTINGSCALLFORWARD_TARGET_PHONENUMBER"));
		
		$property = new CallForwardTargetProperty();
		$property->setPropertyName("number");
		$property->setPropertyTitle("Rufnummer: ");
		$property->setPropertyTypeName("telephonnumber");
		$this->addPropertyType($property);
	
	}
		
	public function getHumanReadableDescription() {
		
		return CHtml::encode($this->getProperty("number"));
	}

	public function getDialplanTargetNumber() {
		return $this->getProperty("number");
	}
	
}
