<?php

class TranslationController extends Controller
{
    #protected $translationsArray = null;
    protected $currentFilePath = null;
    protected $translationsArray = null;
    protected $keyToTranslate = null;
    //protected $currentLanguage = Yii::app()->language;
    //protected $availableLanguages = Yii::app()->params->languages;

    public function actionIndex()
    {
        $filePath = Yii::app()->basePath . '/messages/' . Yii::app()->language . '/messages.php';

        $this->keyToTranslate = trim($_GET['key']);
        $this->open($filePath);

        Yii::app()->clientScript->scriptMap['jquery.js'] = false;
        Yii::app()->clientScript->scriptMap['jquery.min.js'] = false;
        $this->renderPartial('index', array(), false, true);
    }


    public function open($filePath) {
        $this->currentFilePath = $filePath;
        if (file_exists($filePath)) {
            $fileContents = include $filePath;

            if (is_array($fileContents)) {
                $this->translationsArray = $fileContents;
                return true;
            }

            throw new \Exception("The File '$filePath' did not return an array on inclusion.");
        }

        throw new \Exception("The File '$filePath' does not exist.");
    }



    public function setArray(array $array) {
        $this->translationsArray = array_merge($this->translationsArray, $array);//$array;
        return $this;
    }


    public function saveFile($saveTo = null) {

        if ($saveTo === null){
            $saveTo = $this->currentFilePath;
        }

        $saveSuccess = file_put_contents(
            $saveTo,
            PhpArrayFile::getFromArray($this->translationsArray)
        );

        return $saveSuccess;
    }


    public function actionUpdate(){
        $newTranslation = $_POST['Translation'];
        
        $translationKey = key($newTranslation);
        $translationValue = $newTranslation[$translationKey];
        
        $filePath = Yii::app()->basePath . '/messages/' . Yii::app()->language . '/messages.php';
        
        $this->open($filePath);
        $this->setArray($newTranslation);
        
        $this->saveFile($filePath);
        
        print_r($this->translationsArray);
        
    }
    
    // Uncomment the following methods and override them if needed
    /*
	public function filters()
	{
		// return the filter configuration for this controller, e.g.:
		return array(
			'inlineFilterName',
			array(
				'class'=>'path.to.FilterClass',
				'propertyName'=>'propertyValue',
			),
		);
	}

	public function actions()
	{
		// return external action classes, e.g.:
		return array(
			'action1'=>'path.to.ActionClass',
			'action2'=>array(
				'class'=>'path.to.AnotherActionClass',
				'propertyName'=>'propertyValue',
			),
		);
	}
	*/
}