<?php
$this->widget('ext.PlNavbar', array(
        'brand'=> CHtml::encode($group->name),
        'items'=>array(
            array(
                'class'=>'bootstrap.widgets.TbMenu',
                'items'=>array(
                    '---',
                    array('label'=>__('GLOBAL_BACK'), 'url'=>url('adminGroups'), 'icon'=>'arrow-left'),
                ),
            	'htmlOptions'=>array(
            					'data-translation-id'=>'GLOBAL_BACK',
            	),
            ),
        ),
        ));

$this->widget('bootstrap.widgets.TbGridView', array(
        'id'=>'user-grid',
        'itemsCssClass'=>'table plTable items',
        'type'=>'striped bordered condensed',
        'dataProvider'=>$dataProvider,
        //'filter'=>$model,
        'summaryText' => false,
        'columns'=>array(
	       array(
	                'name' => 'extension',
	                //'type'=>'raw',
	                'header' => $model->getAttributeLabel('extension'),
	                'headerHtmlOptions'=>array('data-translation-id'=>'USERS_MODEL_EXTENSION'),
		   ),
		   array(
		           'name' => 'name',
		           //'type'=>'raw',
		           'header' => $model->getAttributeLabel('name'),
		           'headerHtmlOptions'=>array('data-translation-id'=>'USERS_MODEL_NAME'),
		    ),
	        array(
	                'name' => 'firstname',
	                //'type'=>'raw',
	                'header' => $model->getAttributeLabel('firstname'),
	                'headerHtmlOptions'=>array('data-translation-id'=>'USERS_MODEL_FIRSTNAME'),
	        ),
	        array(
	                'name' => 'lastname',
	                //'type'=>'raw',
	                'header' => $model->getAttributeLabel('lastname'),
	                'headerHtmlOptions'=>array('data-translation-id'=>'USERS_MODEL_LASTNAME'),
	        ),
	        array(
	                'name' => 'email',
	                //'type'=>'raw',
	                'header' => $model->getAttributeLabel('email'),
	                'headerHtmlOptions'=>array('data-translation-id'=>'USERS_MODEL_EMAIL'),
	        ),
/*
            array(
                'class'=>'ext.PlGrid.PlCButtonColumn',
                'template'=>'{ajaxUpdate}{delete}',
            )
*/
        ),

    )
);?>
