<?php
require_once "SiemensXMLElement.php";

class Text extends SiemensXMLElement {

	private $text = "";
	
	public function __construct($text = null) {
		$attributes = array();
		
		if ($text != null) {
			$this->text = $text;
		}
		parent::__construct($attributes);
	}
	
	public function renderXMLBeforeChildsHook(xmlWriter &$xw) {
		$xw->text($this->text);
	}	


	protected function name() {
		return "Text";
	}
	
}