#############################################################################################
####                                                                                     ####
####    Auto-Provision Configuration / Configuratie template                             ####
####                                                                                     ####
####    Tiptel 3210/3220/3220XL/3230/3235/3240/3245 Firmware 6.55 or higher / of hoger   ####
####    Tiptel 3275 Firmware 7.20 or higher / of hoger                                   ####
####                                                                                     ####
####    How to configure your phones with which parameters                               ####
####    Hoe uw telefoon te configureren met welke parameters                             ####
####                                                                                     ####
####    MAC bassed configuration file / MAC gebasseerd configuratie bestand              ####
####    Save as for e.g. 000CC4904FD3.cfg / Bestand opslaan als b.v. 000CC4904FD3.cfg    ####
####                                                                                     ####
####    Copyright (c) 2015-2016; Tiptel b.v.                 version / versie 24-05-2016 ####
####                                                                                     ####
#############################################################################################


###################################################################################################
## Account settings / Account instellingen - Tiptel 3210/3220/3220XL/3230/3235/3240/3245/3275    ##
###################################################################################################
#
# There are 6 accounts, depending on the right model.
# Er zijn 6 accounts, afhankelijk van het model.
#
# "X" ranges from 1 to 6.
# "X" staat voor account 1 t/m 6.
#
# Enable or disable the account to make it editable (only for tiptel 3275)
# 0: Disabled; 1: Enabled
# In- of uitschakelen om het account te kunnen bewerken (alleen voor tiptel 3275)
# 0: Uitgeschakeld; 1: Ingeschakeld
#
#Config.AccountX.General.EditEnable = 1

# Enable or disable the account1, 0:Disabled(default); 1:Enabled
# In- of uitschakelen van het account; 0:Uitgeschakeld (standaard); 1:Ingeschakeld
#
#Config.AccountX.General.Enable = 

# Configure the account X label which will display on the LCD screen
# Configureer label voor account X voor op het display van het toestel
#
#Config.AccountX.General.Label = 

# Configure the display name of account X
# Configureer display naam voor account X
#
#Config.AccountX.General.DisplayName = 

# Configure the register user name of account X
# Configureer de registratie naam voor account X
#
#Config.AccountX.General.Username = 

# Configure the user and password for register authentication
# Configureer de gebruikersnaam en wachtwoord voor de authenticatie
#
#Config.AccountX.General.AuthName = 
#Config.AccountX.General.Pwd = 

# Configure the SIP server address and port of account X
# Configureer het SIP server domein en SIP poort voor account X
#
#Config.AccountX.Sip.Server = 
#Config.AccountX.Sip.Port = 

# Configure the fallback (if available) SIP server address and port of account X
# Configureer het fallback (indien beschikbaar) SIP server domein en SIP poort voor account X
#
#Config.AccountX.Sip.Server2 = 
#Config.AccountX.Sip.Port2 = 

# Configure the transport type; 0:UDP(Default); 1:TCP; 2:TLS
# Configureer het transport protocol; 0:UDP(Standaard); 1:TCP; 2:TLS
#
#Config.AccountX.Sip.TransType = 0

# Configure the Listen Port
# Configureer the SIP listen poort
#
#Config.AccountX.Sip.ListenPort = 

# Enable or Disable the outbound proxy server
# In of uitschakelen van uitgaande proxy server
#
#Config.AccountX.OutProxy.Enable = 

# Configure the IP address/domain of the outbound proxy server and the server port
# Configureer het IP adres/domein van de uitgaande proxy server, en de server poort
#
#Config.AccountX.OutProxy.Server = 
#Config.AccountX.OutProxy.Port = 

# Configure the backup outbound proxy server address and port
# Configureer de backup uitgaande proxy server en poort
#
#Config.AccountX.OutProxy.BakServer =  
#Config.AccountX.OutProxy.BakPort = 

# Configure protection against SIP hacking (receiving INVITE's from not registered IP addresses/domains).
# Configureer of toestel beveiligd dient te worden tegen INVITE's van buitenaf (SIP hacking), b.v. alleen vertrouwen van SIP registrar.
# 0:Disabled; 1:Enabled (default)
# 0:Uitgeschakeld; 1:Ingeschakeld (default)
#
#Config.AccountX.Call.PreventSIPHacking =

# Configure the Stun feature
# Configureer de stun server
#
#Config.AccountX.Stun.Enable =  
#Config.AccountX.Stun.Server =  
#Config.AccountX.Stun.Port =  

# Enable or Disable SRTP Encryption; 0:Disabled(Default); 1:Enabled
# In- of uitschakelen van SRTP (Spraak) encryptie; 0:Uitgeschakeld (standaard); 1:Ingeschakeld
#
#Config.AccountX.Encryption.SRTPEncryption = 0

# Configure the NAT keep-alive and the keep-alive interval(in seconds)
# Configureer NAT keep-alive en keep-alive interval (in seconden)
#
#Config.AccountX.NAT.UdpKeepEnable = 
#Config.AccountX.NAT.UdpKeepInterval = 
#Config.AccountX.NAT.NatTraversal = 
#Config.AccountX.NAT.StunServer = 
#Config.AccountX.NAT.StunPort = 
#Config.AccountX.NAT.Rport = 

# Configure the blf subscribe period(1800 seconds by default)
# Configureer BLF registratie periode
#
#Config.AccountX.Blf.SubscribePeriod = 1800

# Configure the blf list uri, e.g. short name: blf_250 or complete domain: blf_250@blfdomain.com
# Configureer de BLF list uri, b.v. korte naam: blf_250 of complete domein naam: blf_250@blfdomain.com
#
#Config.AccountX.Blf.BlfListUri = 

# Configure the blf notify Parse Type for PortaOne bassed platforms like Dutch providers Breezz/Ziggo Zakelijk, BLU and Redworks it should be enabled!
# Configureer de blf notify Parse Type voor PortaOne systemen als Breezz, BLU en Redworks dient men deze parameter in te schakelen!
# 0:Disabled(Default); 1:Enabled
# 0:Uitgeschakeld(standaard); 1:Ingeschakeld
#
#Config.AccountX.BLF.BlfNotifyParseType =

# Configure BLF List Call pickup code
# Configureer BLF list PickUp code
#
#Config.AccountX.BLF.BlfListCode = 

# Configure BLF List Barge In Code
# Configureer BLF list Barge In Code
#Config.AccountX.BLF.BlfListBargeInCode = 

# Configure the voice message number
# Configureer het voicemail nummer
#
#Config.AccountX.VoiceMsg.Number = 

# Enable or Disable auto answer when receiving a incoming call for accout1; 0:Disabled(Default); 1:Enabled
# In- of uitschakelen van automatisch beantwoorden bij inkomend gesprek voor account X; 0:Uitgeschakeld (standaard); 1:Ingeschakeld
#
#Config.AccountX.Auto_Answer.Enable = 0

# Enable or Disable subscribe the register status; 0:Disabled(Default); 1:Enabled
# In- of uitschakelen van registratie status; 0:Uitgeschakeld (standaard); 1:Ingeschakeld
#
#Config.AccountX.Subscribe.SubscribeRegister = 0

# Configure the subscribe period of the register(in seconds), the range is 1800~65535, default is 1800
# Configureer de periode voor registratie (in seconden), de reeks is 1800~65535, standaard is 1800
#
#Config.AccountX.Subscribe.SubscribePeriod = 1800

# Configure the subscribe period of the ACD(in seconds), the range is 1800~65535, default is 1800
# Configureer de periode voor registratie van ACD (in seconden), de reeks is 1800~65535, standaard is 1800
#
#Config.AccountX.Subscribe.SubscribeACDExpire = 1800

# Enable or Disable subscribe the MWI status; 0:Disabled(Default); 1:Enabled
# In- of uitschakelen van registratie op MWI (Message Waiting Indication); 0:Uitgeschakeld (standaard); 1:Ingeschakeld
#
#Config.AccountX.Subscribe.SubsribeMWI = 0

# Configure the subscribe period of the MWI(in seconds), the range is 1800~65535, default is 1800
# Configureer de periode voor registratie van MWI (in seconden), de reeks is 1800~65535, standaard is 1800
#
#Config.AccountX.Subscribe.SubscribeMWIExpire = 1800

# Enable or Disable use of remote codec on call transfer; 0:Disabled; 1:Enabled (default)
# In- of uitschakelen van remote codec bij doorverbinden; 0:Uitgeschakeld; 1:Ingeschakeld (standaard)
# 
# For PortaOne platforms (As used by Dutch providers Breez/Ziggo Zakelijk, BLU and Redworks) you need to disable this option!
# Voor PortaOne platformen (zoals door Breezz/Ziggo Zakelijk, BLU en Redworks in gebruik is) dient men deze optie uit te schakelen!
#
#Config.AccountX.CALL.UseRemoteCodec = 1

# Enable or Disable 100 reliable retransmission; 0:Disabled(Default); 1:Enabled
# In- of uitschakelen van betrouwbare retransmissie; 0:Uitgeschakeld (standaard); 1:Ingeschakeld
#
#Config.AccountX.Call.Enable100Rel = 0 

# Configure the RTP packet time; 0(Disabled), 10, 20, 30, 40, 50, 60
# Configuratie van de RTP packet tijd; 0(Uitgeschakeld), 10, 20, 30, 40, 50, 60
#
#Config.AccountX.Call.Ptime = 

# Configure the register expire time(1800 seconds by default)
# Configureer the her registratie tijd (1800 seconden is de standaard)
#
#Config.AccountX.Reg.Timeout = 1800
#Config.AccountX.Reg.Timeout2 = 

# Configure the DTMF type; 0:Inband; 1:RFC2833(Default); 2:Info; 3:Inband + Info; 4:Info + RFC2833
# Configureer de  manier waarom DTMF wordt verzonden; 0:Inband; 1:RFC2833 (standaard); 2:Info; 3:Inband + Info; 4:Info + RFC2833
#
#Config.AccountX.Dtmf.Type = 1 

# Configure the RFC2833 payload, ranges from 96 to 225 (101 by default)
# Configureer de RFC2833 payload, reeks van 96 tot 225 (101 is standaard)
#
#Config.AccountX.Dtmf.Payload = 101

# Configure DTMF info type when using Info; 0:Disabled(default); 1:DTMF-Relay; 2:DTMF; 3:Telephone-Event
# Configureer DTMF info type, wanneer deze wordt toegepast; 0:Uitgeschakeld (standaard); 1:DTMF-Relay; 2:DTMF; 3:Telephone-Event
#
#Config.AccountX.Dtmf.InfoType = 0 
#
# Duration / Duur
#Config.AccountX.Dtmf.Duration = 
#Config.AccountX.Dtmf.Power = 

# Configure AnonymousCall
# Configureer anoniem bellen
#
#Config.AccountX.Anonymous_Call.Enable = 
#Config.AccountX.Anonymous_Call.OnCode = 
#Config.AccountX.Anonymous_Call.OffCode = 

# Configure Reject AnonymousCall
# Configureer anonieme oproepen
#
#Config.AccountX.Reject_AnonymousCall.Enable = 
#Config.AccountX.Reject_AnonymousCall.OnCode = 
#Config.AccountX.Reject_AnonymousCall.OffCode = 

# Configure Music Server
# Configureer Music On Hold server
#
#Config.AccountX.Music_Server.Enable = 
#Config.AccountX.Music_Server.Uri = 

#Config.AccountX.Session.EnableTimer = 
#Config.AccountX.Session.Interval = 
#Config.AccountX.Session.Refresher = 

#Config.AccountX.AOC.AocEnable = 

# Codec configuration for account X.
# Audio codec configuratie voor account X.
#
# Enable or Disable Audio codecs Y for account X (Y ranges from codec 0 to 11, X ranges from account 1 to 6)
# In- of uitschakelen van de audio codecs Y voor account X (Y reeks voor codec tot 11, X reeks voor account van 0 tot 6)
#
# Valid values for Y / Geldige waarden voor Y:
#
#  0 = PCMU (also known as G711u-law / Ook bekend als G711u-law)
#  1 = PCMA (also known as G711a-law / Ook bekend als G711a-law)
#  2 = G723_53
#  3 = G723_63
#  4 = G729
#  5 = G722
#  6 = G726-16
#  7 = G726-24
#  8 = G726-32
#  9 = G726-40
# 10 = iLBC_13_3 (currently not in use / nog niet in gebruik)
# 11 = iLBC_15_2 (currently not in use / nog niet in gebruik)
#
# Value for Z / Waarde voor Z:
# 0:Disabled / Uitgeschakeld; 1:Enabled / Ingeschakeld
#
#Config.AccountX.AudioY.Enable = Z

# Name of Codec / Naam van Codec.
#
# Value Y = Codec, value Z = Name / Waarde Y = Codec, waarde Z = Naam
# Valid values for Y / Geldige waarden voor Y: PCMU, PCMA, G723_53, G723_63, G729, G722, G726-16, G726-24, G726-32, G726-40, iLBC_13_3 & iLBC_15_2
#
#  Y = Z
#
#  0 = PCMU
#  1 = PCMA
#  2 = G723_53
#  3 = G723_63
#  4 = G729
#  5 = G722
#  6 = G726-16
#  7 = G726-24
#  8 = G726-32
#  9 = G726-40
# 10 = iLBC_13_3
# 11 = iLBC_15_2
#
# The codecs iLBC_13_3 and iLBC_15_2 are currently not in use!
# De codecs iLBC_13_3 en iLBC_15_2 zijn momenteel niet in gebruik!
#
#Config.AccountX.AudioY.Name = Z

# Priority of the codec / Codec prioriteit
#
# Value Z ranges 10 to 0; 10 is highest, 0 lowest.
# Waarde Z reeks van 10 tot 0; 10 is hoog in rij, 0 als laatste gebruiken.
#
#Config.AccountX.AudioY.Priority = Z

# RTP Payload type for codec ... / RTP Payload type voor codec ...
# PCMU=0, PCMA=8, G723_53=4, G723_63=4, G729=18, G722=9, G726-16=112, G726-24=102, G726-32=99, G726-40=104, iLBC_13_3=97 & iLBC_15_2=97
#
#Config.AccountX.AudioY.Payload =

# For e.g. enabling codec 1 with G711a and for codec 2 using the G729 codec (for first account), and PCMA has priority against G729:
# Bijvoorbeeld voor codec 1 met de G711a en voor codec 2 de G729 codecs vrijgeschakeld (voor het eerste account), PCMA heeft prioriteit t.o.v. G729:
#
#Config.Account1.Audio0.Enable = 0
#Config.Account1.Audio1.Enable = 1
#Config.Account1.Audio1.Name = PCMA
#Config.Account1.Audio1.Priority = 10
#Config.Account1.Audio1.Payload = 8
#Config.Account1.Audio2.Enable = 0
#Config.Account1.Audio3.Enable = 0
#Config.Account1.Audio4.Enable = 1
#Config.Account1.Audio4.Name = G729
#Config.Account1.Audio4.Priority = 9
#Config.Account1.Audio4.Payload = 0
#Config.Account1.Audio5.Enable = 0
#Config.Account1.Audio6.Enable = 0
#Config.Account1.Audio7.Enable = 0
#Config.Account1.Audio8.Enable = 0
#Config.Account1.Audio9.Enable = 0
#Config.Account1.Audio10.Enable = 0
#Config.Account1.Audio11.Enable = 0
#
# Or in short which also will be accepted / Of verkort, welke ook wordt geaccepteerd:
#
#Config.Account1.Audio0.Enable = 0
#Config.Account1.Audio1.Enable = 1
#Config.Account1.Audio1.Priority = 10
#Config.Account1.Audio2.Enable = 0
#Config.Account1.Audio3.Enable = 0
#Config.Account1.Audio4.Enable = 1
#Config.Account1.Audio4.Priority = 9
#Config.Account1.Audio5.Enable = 0
#Config.Account1.Audio6.Enable = 0
#Config.Account1.Audio7.Enable = 0
#Config.Account1.Audio8.Enable = 0
#Config.Account1.Audio9.Enable = 0
#Config.Account1.Audio10.Enable = 0
#Config.Account1.Audio11.Enable = 0

# Is escape non Ascii character, send plain character or as escape code, for e.g. # will be send as %23
# On Broadsoft platforms you should switch off/disable this function!
# Stuur escape als geen ASCII karakter, stuur kaal het karakter of als escape code, als voorbeeld een # wordt als %23 verstuurd.
# Op Broadsoft platformen dient men deze functie uit te schakelen!
# 0:Disabled; 1:Enabled (default)
# 0:Uitgeschakeld; 1:Ingeschakeld (standaard)
#
#Config.Account1.ESCAPE_CHARACTER.Enable = 1

# Show missed call list in display by missed calls / Toon gemiste oproepen in display bij gemiste oproepen
# 0:Disabled; 1:Enabled(default)
# 0:Uitgeschakeld; 1:Ingeschakeld (standaard)
#
#Config.AccountX.ADVANCED.ShowMissedCall = 1

# Configure No forwarding during Huntgroup call (only by direct call)
# This Broadsoft function only forwards an call when the phone is dailed on his own number, but it is not forwarded when the huntgroup is dailed.
#
# Configureer No Forwarding wanneer in Huntgroep oproep (alleen by direct aankiezen)
# Deze Broadsoft functie doet alleen een oproepdoorschakeling wanneer het toestel op zijn eigen nummer wordt aangekozen.
# Wanneer het toestel wordt aangekozen door de Huntgroep, dan wordt de doorschakeling niet uitgevoerd.
#
# 0:Disabled; 1:Enabled (default)
# 0:Uitgeschakeld; 1:Ingeschakeld (standaard)
#
#Config.AccountX.Call.RdrInfoDetection = 1

# Configure de Broadsoft Hoteling or Flexibleseating feature / Configureer de Broadsoft Hoteling of Flexibleseating feature
# Remark: You have to enable or hoteling or flexibleseating, you can't use both at the same time!
# Opmerking: Of men gebruikt hoteling, of flexibleseating, het is niet mogelijk beiden gelijktijdig te gebruiken!
#
# Enabling Hoteling or Flexibleseating / Hoteling of Flexibleseating inschakelen
# 0:Disabled (default); 1:Enabled
# 0:Uitgeschakeld (standaard); 1:Ingeschakeld
#
#Config.AccountX.HOTELING.Enable = 0
#
# Select mode; 1:Hoteling; 2:Flexibleseating
# Delecteer mode; 1:Hoteling; 2:Flexibleseating
#
#Config.AccountX.HOTELING.Mode = 1
#
# Hoteling user and password / Hoteling gebruiker en wachtwoord
#
#Config.AccountX.HOTELING.User = 
#Config.AccountX.HOTELING.Password = 
#
# Automatic login / Automatisch inloggen
# 0:Disabled (default); 1:Enabled
# 0:Uitgeschakeld (default); 1:Ingeschakeld
#
#Config.AccountX.HOTELING.AutoLogin = 0
#
# Only for tiptel 3220XL and first account / Alleen voor tiptel 3220XL en het eerste account:
#
# Auto Answer (automatic on speaker mode) the phone when specific CLIP number is send from the other side.
# Beantwoord automatisch (luidspreker gaat automtisch aan bij beantwoorden oproep) de telefoon als een specifiek CLIP nummer door
# de andere zijde wordt meegezonden.
#
#Config.AccountX.AUTO_ANSWER.Enable = 0
#
# Auto answer / automatisch beantwoorden
# 0:Disabled (default); 1:Enabled
# 0:Uitgeschakeld (default); 1:Ingeschakeld
#
# Only accept auto answer if CLIP number is entered value / alleen beantwoorden als waarde voldoet aan opgegeven nummer
#
#Config.AccountX.AUTO_ANSWER.Number =
#

Config.Autoprovision.REDIRECT.Url =
Config.Autoprovision.REDIRECT.Enable = 0
Config.Settings.DATEDISPLAY.DisplayMode = 2
Config.Settings.EXTDPAGEMODE.PageMode = 0

#######################################################################################
## Account 1 - Tiptel 3210/3220/3220XL/3230/3235/3240/3245/3275                      ##
#######################################################################################

Config.Account1.General.EditEnable =
Config.Account1.GENERAL.Enable = 0
Config.Account1.GENERAL.Label = 
Config.Account1.GENERAL.DisplayName = 
Config.Account1.GENERAL.UserName = 
Config.Account1.GENERAL.AuthName = 
Config.Account1.GENERAL.Pwd = 

Config.Account1.SIP.Server = 
Config.Account1.SIP.Server2 = 
Config.Account1.SIP.Port = 5060
Config.Account1.SIP.Port2 = 5060
Config.Account1.SIP.ListenPort = 5062
Config.Account1.SIP.TransType = 0
Config.Account1.SIP.ListenPortMin = 5062
Config.Account1.SIP.ListenPortMax = 5062

Config.Account1.OUTPROXY.Enable = 0
Config.Account1.OUTPROXY.Server = 
Config.Account1.OUTPROXY.Port = 5060
Config.Account1.OUTPROXY.BakServer = 
Config.Account1.OUTPROXY.BakPort = 5060

Config.Account1.Call.PreventSIPHacking = 1

Config.Account1.STUN.Enable = 0
Config.Account1.STUN.Server = 
Config.Account1.STUN.Port = 3478

Config.Account1.ENCRYPTION.SRTPEncryption = 0

Config.Account1.DTMF.Type = 2
Config.Account1.DTMF.InfoType = 1
Config.Account1.DTMF.Duration = 300
Config.Account1.DTMF.Power = 

#Config.Account1.NAT.NatTraversal = 0
#Config.Account1.NAT.StunServer = 
#Config.Account1.NAT.StunPort = 3478
#Config.Account1.NAT.UdpKeepEnable = 1
#Config.Account1.NAT.UdpKeepInterval = 30
#Config.Account1.NAT.Rport = 0

Config.Account1.BLF.SubscribePeriod = 1800
Config.Account1.BLF.BlfListUri = 
Config.Account1.BLF.BlfNotifyParseType = 0
Config.Account1.BLF.BlfListCode = 
Config.Account1.BLF.BlfListBargeInCode = 

Config.Account1.VOICEMSG.Number = 80

Config.Account1.MUSIC_SERVER.Uri = 
Config.Account1.MUSIC_SERVER.Enable = 0

Config.Account1.ANONYMOUS_CALL.Enable = 0
Config.Account1.ANONYMOUS_CALL.OnCode = 
Config.Account1.ANONYMOUS_CALL.OffCode = 

Config.Account1.REJECT_ANONYMOUSCALL.Enable = 0
Config.Account1.REJECT_ANONYMOUSCALL.OnCode = 
Config.Account1.REJECT_ANONYMOUSCALL.OffCode = 

Config.Account1.REG.Timeout = 1800
Config.Account1.REG.Timeout2 = 1800

Config.Account1.CONFERENCE.Type = 0
Config.Account1.CONFERENCE.Uri = 

Config.Account1.AUTO_ANSWER.Enable = 0

Config.Account1.SESSION.EnableTimer = 0
Config.Account1.SESSION.Interval = 1800
Config.Account1.SESSION.Refresher = 0

Config.Account1.SUBSCRIBE.SubscribePeriod = 1800
Config.Account1.SUBSCRIBE.SubscribeRegister = 0
Config.Account1.SUBSCRIBE.SubscribeACDExpire = 1800
Config.Account1.SUBSCRIBE.SubsribeMWI = 0
Config.Account1.SUBSCRIBE.SubscribeMWIExpire = 1800

Config.Account1.CALL.UseRemoteCodec = 1
Config.Account1.CALL.Enable100Rel = 0
Config.Account1.CALL.CIDSource = 0
Config.Account1.CALL.Ptime = 20
Config.Account1.CALL.UserPhone = 0
Config.Account1.CALL.RdrInfoDetection = 0

Config.Account1.FEATURE_DND.Enable = 
Config.Account1.FEATURE_DND.OnCode = 
Config.Account1.FEATURE_DND.OffCode = 
Config.Account1.FEATURE_DND.ReturnCode = 

Config.Account1.FEATURE_FORWARD_ALWAYS.Enable = 
Config.Account1.FEATURE_FORWARD_ALWAYS.Target = 
Config.Account1.FEATURE_FORWARD_ALWAYS.OnCode = 
Config.Account1.FEATURE_FORWARD_ALWAYS.OffCode = 

Config.Account1.FEATURE_FORWARD_BUSY.Enable = 
Config.Account1.FEATURE_FORWARD_BUSY.Target = 
Config.Account1.FEATURE_FORWARD_BUSY.OnCode = 
Config.Account1.FEATURE_FORWARD_BUSY.OffCode = 

Config.Account1.FEATURE_FORWARD_TIMEOUT.Enable = 
Config.Account1.FEATURE_FORWARD_TIMEOUT.Target = 
Config.Account1.FEATURE_FORWARD_TIMEOUT.OnCode = 
Config.Account1.FEATURE_FORWARD_TIMEOUT.OffCode = 
Config.Account1.FEATURE_FORWARD_TIMEOUT.TimeOut = 

Config.Account1.Audio0.Enable = 1
Config.Account1.Audio1.Enable = 1
Config.Account1.Audio2.Enable = 0
Config.Account1.Audio3.Enable = 0
Config.Account1.Audio4.Enable = 1
Config.Account1.Audio5.Enable = 1
Config.Account1.Audio6.Enable = 0
Config.Account1.Audio7.Enable = 0
Config.Account1.Audio8.Enable = 0
Config.Account1.Audio9.Enable = 0
Config.Account1.Audio10.Enable = 0
Config.Account1.Audio11.Enable = 0
Config.Account1.Audio12.Enable = 0

Config.Account1.AOC.AocEnable = 0

Config.Account1.RINGTONE.Type = 

Config.Account1.ESCAPE_CHARACTER.Enable = 1

Config.Account1.ADVANCED.ShowMissedCall = 1

Config.Account1.Call.RdrInfoDetection = 1

Config.Account1.HOTELING.Enable = 0
Config.Account1.HOTELING.Mode =
Config.Account1.HOTELING.User = 
Config.Account1.HOTELING.Password = 
Config.Account1.HOTELING.AutoLogin = 0

Config.Account1.AUTO_ANSWER.Enable = 0
Config.Account1.AUTO_ANSWER.Number = 


#######################################################################################
## Account 2 - Tiptel 3220/3230/3235/3240/3245/3275                                  ##
#######################################################################################

Config.Account2.General.EditEnable =
Config.Account2.GENERAL.Enable = 0
Config.Account2.GENERAL.Label = 
Config.Account2.GENERAL.DisplayName = 
Config.Account2.GENERAL.UserName = 
Config.Account2.GENERAL.AuthName = 
Config.Account2.GENERAL.Pwd = 

Config.Account2.SIP.Server = 
Config.Account2.SIP.Server2 = 
Config.Account2.SIP.Port = 5060
Config.Account2.SIP.Port2 = 5060
Config.Account2.SIP.ListenPort = 5063
Config.Account2.SIP.TransType = 0
Config.Account2.SIP.ListenPortMin = 5063
Config.Account2.SIP.ListenPortMax = 5063

Config.Account2.OUTPROXY.Enable = 0
Config.Account2.OUTPROXY.Server = 
Config.Account2.OUTPROXY.Port = 5060
Config.Account2.OUTPROXY.BakServer = 
Config.Account2.OUTPROXY.BakPort = 5060

Config.Account2.Call.PreventSIPHacking = 1

Config.Account2.STUN.Enable = 0
Config.Account2.STUN.Server = 
Config.Account2.STUN.Port = 3478

Config.Account2.ENCRYPTION.SRTPEncryption = 0

Config.Account2.DTMF.Type = 2
Config.Account2.DTMF.InfoType = 0
Config.Account2.DTMF.Duration = 300
Config.Account2.DTMF.Power = 

Config.Account2.NAT.NatTraversal = 0
Config.Account2.NAT.StunServer = 
Config.Account2.NAT.StunPort = 3478
Config.Account2.NAT.UdpKeepEnable = 1
Config.Account2.NAT.UdpKeepInterval = 30
Config.Account2.NAT.Rport = 0

Config.Account2.BLF.SubscribePeriod = 1800
Config.Account2.BLF.BlfListUri = 
Config.Account2.BLF.BlfNotifyParseType = 0
Config.Account2.BLF.BlfListCode = 
Config.Account2.BLF.BlfListBargeInCode = 

Config.Account2.VOICEMSG.Number = 

Config.Account2.MUSIC_SERVER.Uri = 
Config.Account2.MUSIC_SERVER.Enable = 0

Config.Account2.ANONYMOUS_CALL.Enable = 0
Config.Account2.ANONYMOUS_CALL.OnCode = 
Config.Account2.ANONYMOUS_CALL.OffCode = 

Config.Account2.REJECT_ANONYMOUSCALL.Enable = 0
Config.Account2.REJECT_ANONYMOUSCALL.OnCode = 
Config.Account2.REJECT_ANONYMOUSCALL.OffCode = 

Config.Account2.REG.Timeout = 1800
Config.Account2.REG.Timeout2 = 1800

Config.Account2.CONFERENCE.Type = 0
Config.Account2.CONFERENCE.Uri = 

Config.Account2.AUTO_ANSWER.Enable = 0

Config.Account2.SESSION.EnableTimer = 0
Config.Account2.SESSION.Interval = 1800
Config.Account2.SESSION.Refresher = 0

Config.Account2.SUBSCRIBE.SubscribePeriod = 1800
Config.Account2.SUBSCRIBE.SubscribeRegister = 0
Config.Account2.SUBSCRIBE.SubscribeACDExpire = 1800
Config.Account2.SUBSCRIBE.SubsribeMWI = 0
Config.Account2.SUBSCRIBE.SubscribeMWIExpire = 1800

Config.Account2.CALL.UseRemoteCodec = 1
Config.Account2.CALL.Enable100Rel = 0
Config.Account2.CALL.CIDSource = 0
Config.Account2.CALL.Ptime = 20
Config.Account2.CALL.UserPhone = 0
Config.Account2.CALL.RdrInfoDetection = 0

Config.Account2.FEATURE_DND.Enable = 
Config.Account2.FEATURE_DND.OnCode = 
Config.Account2.FEATURE_DND.OffCode = 
Config.Account2.FEATURE_DND.ReturnCode = 

Config.Account2.FEATURE_FORWARD_ALWAYS.Enable = 
Config.Account2.FEATURE_FORWARD_ALWAYS.Target = 
Config.Account2.FEATURE_FORWARD_ALWAYS.OnCode = 
Config.Account2.FEATURE_FORWARD_ALWAYS.OffCode = 

Config.Account2.FEATURE_FORWARD_BUSY.Enable = 
Config.Account2.FEATURE_FORWARD_BUSY.Target = 
Config.Account2.FEATURE_FORWARD_BUSY.OnCode = 
Config.Account2.FEATURE_FORWARD_BUSY.OffCode = 

Config.Account2.FEATURE_FORWARD_TIMEOUT.Enable = 
Config.Account2.FEATURE_FORWARD_TIMEOUT.Target = 
Config.Account2.FEATURE_FORWARD_TIMEOUT.OnCode = 
Config.Account2.FEATURE_FORWARD_TIMEOUT.OffCode = 
Config.Account2.FEATURE_FORWARD_TIMEOUT.TimeOut = 

Config.Account2.Audio0.Enable = 1
Config.Account2.Audio1.Enable = 1
Config.Account2.Audio2.Enable = 0
Config.Account2.Audio3.Enable = 0
Config.Account2.Audio4.Enable = 1
Config.Account2.Audio5.Enable = 1
Config.Account2.Audio6.Enable = 0
Config.Account2.Audio7.Enable = 0
Config.Account2.Audio8.Enable = 0
Config.Account2.Audio9.Enable = 0
Config.Account2.Audio10.Enable = 0
Config.Account2.Audio11.Enable = 0
Config.Account2.Audio12.Enable = 0

Config.Account2.AOC.AocEnable = 0

Config.Account2.RINGTONE.Type = 

Config.Account2.ESCAPE_CHARACTER.Enable = 1

Config.Account2.ADVANCED.ShowMissedCall = 1

Config.Account2.Call.RdrInfoDetection = 1

Config.Account2.HOTELING.Enable = 0
Config.Account2.HOTELING.Mode =
Config.Account2.HOTELING.User = 
Config.Account2.HOTELING.Password = 
Config.Account2.HOTELING.AutoLogin = 0


#######################################################################################
## Account 3 - Tiptel 3230/3235/3240/3245/3275                                       ##
#######################################################################################

Config.Account3.General.EditEnable =
Config.Account3.GENERAL.Enable = 0
Config.Account3.GENERAL.Label = 
Config.Account3.GENERAL.DisplayName = 
Config.Account3.GENERAL.UserName = 
Config.Account3.GENERAL.AuthName = 
Config.Account3.GENERAL.Pwd = 

Config.Account3.SIP.Server = 
Config.Account3.SIP.Server2 = 
Config.Account3.SIP.Port = 5060
Config.Account3.SIP.Port2 = 5060
Config.Account3.SIP.ListenPort = 5064
Config.Account3.SIP.TransType = 0
Config.Account3.SIP.ListenPortMin = 5064
Config.Account3.SIP.ListenPortMax = 5064

Config.Account3.OUTPROXY.Enable = 0
Config.Account3.OUTPROXY.Server = 
Config.Account3.OUTPROXY.Port = 5060
Config.Account3.OUTPROXY.BakServer = 
Config.Account3.OUTPROXY.BakPort = 5060

Config.Account3.Call.PreventSIPHacking = 1

Config.Account3.STUN.Enable = 0
Config.Account3.STUN.Server = 
Config.Account3.STUN.Port = 3478

Config.Account3.ENCRYPTION.SRTPEncryption = 0

Config.Account3.DTMF.Type = 2
Config.Account3.DTMF.InfoType = 0
Config.Account3.DTMF.Duration = 300
Config.Account3.DTMF.Power = 

Config.Account3.NAT.NatTraversal = 0
Config.Account3.NAT.StunServer = 
Config.Account3.NAT.StunPort = 3478
Config.Account3.NAT.UdpKeepEnable = 1
Config.Account3.NAT.UdpKeepInterval = 30
Config.Account3.NAT.Rport = 0

Config.Account3.BLF.SubscribePeriod = 1800
Config.Account3.BLF.BlfListUri = 
Config.Account3.BLF.BlfNotifyParseType = 0
Config.Account3.BLF.BlfListCode = 
Config.Account3.BLF.BlfListBargeInCode = 

Config.Account3.VOICEMSG.Number = 

Config.Account3.MUSIC_SERVER.Uri = 
Config.Account3.MUSIC_SERVER.Enable = 0

Config.Account3.ANONYMOUS_CALL.Enable = 0
Config.Account3.ANONYMOUS_CALL.OnCode = 
Config.Account3.ANONYMOUS_CALL.OffCode = 

Config.Account3.REJECT_ANONYMOUSCALL.Enable = 0
Config.Account3.REJECT_ANONYMOUSCALL.OnCode = 
Config.Account3.REJECT_ANONYMOUSCALL.OffCode = 

Config.Account3.REG.Timeout = 1800
Config.Account3.REG.Timeout2 = 1800

Config.Account3.CONFERENCE.Type = 0
Config.Account3.CONFERENCE.Uri = 

Config.Account3.AUTO_ANSWER.Enable = 0

Config.Account3.SESSION.EnableTimer = 0
Config.Account3.SESSION.Interval = 1800
Config.Account3.SESSION.Refresher = 0

Config.Account3.SUBSCRIBE.SubscribePeriod = 1800
Config.Account3.SUBSCRIBE.SubscribeRegister = 0
Config.Account3.SUBSCRIBE.SubscribeACDExpire = 1800
Config.Account3.SUBSCRIBE.SubsribeMWI = 0
Config.Account3.SUBSCRIBE.SubscribeMWIExpire = 1800

Config.Account3.CALL.UseRemoteCodec = 1
Config.Account3.CALL.Enable100Rel = 0
Config.Account3.CALL.CIDSource = 0
Config.Account3.CALL.Ptime = 20
Config.Account3.CALL.UserPhone = 0
Config.Account3.CALL.RdrInfoDetection = 0

Config.Account3.FEATURE_DND.Enable = 
Config.Account3.FEATURE_DND.OnCode = 
Config.Account3.FEATURE_DND.OffCode = 
Config.Account3.FEATURE_DND.ReturnCode = 

Config.Account3.FEATURE_FORWARD_ALWAYS.Enable = 
Config.Account3.FEATURE_FORWARD_ALWAYS.Target = 
Config.Account3.FEATURE_FORWARD_ALWAYS.OnCode = 
Config.Account3.FEATURE_FORWARD_ALWAYS.OffCode = 

Config.Account3.FEATURE_FORWARD_BUSY.Enable = 
Config.Account3.FEATURE_FORWARD_BUSY.Target = 
Config.Account3.FEATURE_FORWARD_BUSY.OnCode = 
Config.Account3.FEATURE_FORWARD_BUSY.OffCode = 

Config.Account3.FEATURE_FORWARD_TIMEOUT.Enable = 
Config.Account3.FEATURE_FORWARD_TIMEOUT.Target = 
Config.Account3.FEATURE_FORWARD_TIMEOUT.OnCode = 
Config.Account3.FEATURE_FORWARD_TIMEOUT.OffCode = 
Config.Account3.FEATURE_FORWARD_TIMEOUT.TimeOut = 

Config.Account3.Audio0.Enable = 1
Config.Account3.Audio1.Enable = 1
Config.Account3.Audio2.Enable = 0
Config.Account3.Audio3.Enable = 0
Config.Account3.Audio4.Enable = 1
Config.Account3.Audio5.Enable = 1
Config.Account3.Audio6.Enable = 0
Config.Account3.Audio7.Enable = 0
Config.Account3.Audio8.Enable = 0
Config.Account3.Audio9.Enable = 0
Config.Account3.Audio10.Enable = 0
Config.Account3.Audio11.Enable = 0
Config.Account3.Audio12.Enable = 0

Config.Account3.AOC.AocEnable = 0

Config.Account3.RINGTONE.Type = 

Config.Account3.ESCAPE_CHARACTER.Enable = 1

Config.Account3.ADVANCED.ShowMissedCall = 1

Config.Account3.Call.RdrInfoDetection = 1

Config.Account3.HOTELING.Enable = 0
Config.Account3.HOTELING.Mode =
Config.Account3.HOTELING.User = 
Config.Account3.HOTELING.Password = 
Config.Account3.HOTELING.AutoLogin = 0


#######################################################################################
## Account 4 - Tiptel 3240/3245/3275                                                 ##
#######################################################################################

Config.Account4.General.EditEnable =
Config.Account4.GENERAL.Enable = 0
Config.Account4.GENERAL.Label = 
Config.Account4.GENERAL.DisplayName = 
Config.Account4.GENERAL.UserName = 
Config.Account4.GENERAL.AuthName = 
Config.Account4.GENERAL.Pwd = 

Config.Account4.SIP.Server = 
Config.Account4.SIP.Server2 = 
Config.Account4.SIP.Port = 5060
Config.Account4.SIP.Port2 = 5060
Config.Account4.SIP.ListenPort = 5065
Config.Account4.SIP.TransType = 0
Config.Account4.SIP.ListenPortMin = 5065
Config.Account4.SIP.ListenPortMax = 5065

Config.Account4.OUTPROXY.Enable = 0
Config.Account4.OUTPROXY.Server = 
Config.Account4.OUTPROXY.Port = 5060
Config.Account4.OUTPROXY.BakServer = 
Config.Account4.OUTPROXY.BakPort = 5060

Config.Account4.Call.PreventSIPHacking = 1

Config.Account4.STUN.Enable = 0
Config.Account4.STUN.Server = 
Config.Account4.STUN.Port = 3478

Config.Account4.ENCRYPTION.SRTPEncryption = 0

Config.Account4.DTMF.Type = 2
Config.Account4.DTMF.InfoType = 0
Config.Account4.DTMF.Duration = 300
Config.Account4.DTMF.Power = 

Config.Account4.NAT.NatTraversal = 0
Config.Account4.NAT.StunServer = 
Config.Account4.NAT.StunPort = 3478
Config.Account4.NAT.UdpKeepEnable = 1
Config.Account4.NAT.UdpKeepInterval = 30
Config.Account4.NAT.Rport = 0

Config.Account4.BLF.SubscribePeriod = 1800
Config.Account4.BLF.BlfListUri = 
Config.Account4.BLF.BlfNotifyParseType = 0
Config.Account4.BLF.BlfListCode = 
Config.Account4.BLF.BlfListBargeInCode = 

Config.Account4.VOICEMSG.Number = 

Config.Account4.MUSIC_SERVER.Uri = 
Config.Account4.MUSIC_SERVER.Enable = 0

Config.Account4.ANONYMOUS_CALL.Enable = 0
Config.Account4.ANONYMOUS_CALL.OnCode = 
Config.Account4.ANONYMOUS_CALL.OffCode = 

Config.Account4.REJECT_ANONYMOUSCALL.Enable = 0
Config.Account4.REJECT_ANONYMOUSCALL.OnCode = 
Config.Account4.REJECT_ANONYMOUSCALL.OffCode = 

Config.Account4.REG.Timeout = 1800
Config.Account4.REG.Timeout2 = 1800

Config.Account4.CONFERENCE.Type = 0
Config.Account4.CONFERENCE.Uri = 

Config.Account4.AUTO_ANSWER.Enable = 0

Config.Account4.SESSION.EnableTimer = 0
Config.Account4.SESSION.Interval = 1800
Config.Account4.SESSION.Refresher = 0

Config.Account4.SUBSCRIBE.SubscribePeriod = 1800
Config.Account4.SUBSCRIBE.SubscribeRegister = 0
Config.Account4.SUBSCRIBE.SubscribeACDExpire = 1800
Config.Account4.SUBSCRIBE.SubsribeMWI = 0
Config.Account4.SUBSCRIBE.SubscribeMWIExpire = 1800

Config.Account4.CALL.UseRemoteCodec = 1
Config.Account4.CALL.Enable100Rel = 0
Config.Account4.CALL.CIDSource = 0
Config.Account4.CALL.Ptime = 20
Config.Account4.CALL.UserPhone = 0
Config.Account4.CALL.RdrInfoDetection = 0

Config.Account4.FEATURE_DND.Enable = 
Config.Account4.FEATURE_DND.OnCode = 
Config.Account4.FEATURE_DND.OffCode = 
Config.Account4.FEATURE_DND.ReturnCode = 

Config.Account4.FEATURE_FORWARD_ALWAYS.Enable = 
Config.Account4.FEATURE_FORWARD_ALWAYS.Target = 
Config.Account4.FEATURE_FORWARD_ALWAYS.OnCode = 
Config.Account4.FEATURE_FORWARD_ALWAYS.OffCode = 

Config.Account4.FEATURE_FORWARD_BUSY.Enable = 
Config.Account4.FEATURE_FORWARD_BUSY.Target = 
Config.Account4.FEATURE_FORWARD_BUSY.OnCode = 
Config.Account4.FEATURE_FORWARD_BUSY.OffCode = 

Config.Account4.FEATURE_FORWARD_TIMEOUT.Enable = 
Config.Account4.FEATURE_FORWARD_TIMEOUT.Target = 
Config.Account4.FEATURE_FORWARD_TIMEOUT.OnCode = 
Config.Account4.FEATURE_FORWARD_TIMEOUT.OffCode = 
Config.Account4.FEATURE_FORWARD_TIMEOUT.TimeOut = 

Config.Account4.Audio0.Enable = 1
Config.Account4.Audio1.Enable = 1
Config.Account4.Audio2.Enable = 0
Config.Account4.Audio3.Enable = 0
Config.Account4.Audio4.Enable = 1
Config.Account4.Audio5.Enable = 1
Config.Account4.Audio6.Enable = 0
Config.Account4.Audio7.Enable = 0
Config.Account4.Audio8.Enable = 0
Config.Account4.Audio9.Enable = 0
Config.Account4.Audio10.Enable = 0
Config.Account4.Audio11.Enable = 0
Config.Account4.Audio12.Enable = 0

Config.Account4.AOC.AocEnable = 0

Config.Account4.RINGTONE.Type = 

Config.Account4.ESCAPE_CHARACTER.Enable = 1

Config.Account4.ADVANCED.ShowMissedCall = 1

Config.Account4.Call.RdrInfoDetection = 1

Config.Account4.HOTELING.Enable = 0
Config.Account4.HOTELING.Mode =
Config.Account4.HOTELING.User = 
Config.Account4.HOTELING.Password = 
Config.Account4.HOTELING.AutoLogin = 0


#######################################################################################
## Account 5 - Tiptel 3240/3245/3275                                                 ##
#######################################################################################

Config.Account5.General.EditEnable =
Config.Account5.GENERAL.Enable = 0
Config.Account5.GENERAL.Label = 
Config.Account5.GENERAL.DisplayName = 
Config.Account5.GENERAL.UserName = 
Config.Account5.GENERAL.AuthName = 
Config.Account5.GENERAL.Pwd = 

Config.Account5.SIP.Server = 
Config.Account5.SIP.Server2 = 
Config.Account5.SIP.Port = 5060
Config.Account5.SIP.Port2 = 5060
Config.Account5.SIP.ListenPort = 5066
Config.Account5.SIP.TransType = 0
Config.Account5.SIP.ListenPortMin = 5066
Config.Account5.SIP.ListenPortMax = 5066

Config.Account5.OUTPROXY.Enable = 0
Config.Account5.OUTPROXY.Server = 
Config.Account5.OUTPROXY.Port = 5060
Config.Account5.OUTPROXY.BakServer = 
Config.Account5.OUTPROXY.BakPort = 5060

Config.Account5.Call.PreventSIPHacking = 1

Config.Account5.STUN.Enable = 0
Config.Account5.STUN.Server = 
Config.Account5.STUN.Port = 3478

Config.Account5.ENCRYPTION.SRTPEncryption = 0

Config.Account5.DTMF.Type = 2
Config.Account5.DTMF.InfoType = 0
Config.Account5.DTMF.Duration = 300
Config.Account5.DTMF.Power = 

Config.Account5.NAT.NatTraversal = 0
Config.Account5.NAT.StunServer = 
Config.Account5.NAT.StunPort = 3478
Config.Account5.NAT.UdpKeepEnable = 1
Config.Account5.NAT.UdpKeepInterval = 30
Config.Account5.NAT.Rport = 0

Config.Account5.BLF.SubscribePeriod = 1800
Config.Account5.BLF.BlfListUri = 
Config.Account5.BLF.BlfNotifyParseType = 0
Config.Account5.BLF.BlfListCode = 
Config.Account5.BLF.BlfListBargeInCode = 

Config.Account5.VOICEMSG.Number = 

Config.Account5.MUSIC_SERVER.Uri = 
Config.Account5.MUSIC_SERVER.Enable = 0

Config.Account5.ANONYMOUS_CALL.Enable = 0
Config.Account5.ANONYMOUS_CALL.OnCode = 
Config.Account5.ANONYMOUS_CALL.OffCode = 

Config.Account5.REJECT_ANONYMOUSCALL.Enable = 0
Config.Account5.REJECT_ANONYMOUSCALL.OnCode = 
Config.Account5.REJECT_ANONYMOUSCALL.OffCode = 

Config.Account5.REG.Timeout = 1800
Config.Account5.REG.Timeout2 = 1800

Config.Account5.CONFERENCE.Type = 0
Config.Account5.CONFERENCE.Uri = 

Config.Account5.AUTO_ANSWER.Enable = 0

Config.Account5.SESSION.EnableTimer = 0
Config.Account5.SESSION.Interval = 1800
Config.Account5.SESSION.Refresher = 0

Config.Account5.SUBSCRIBE.SubscribePeriod = 1800
Config.Account5.SUBSCRIBE.SubscribeRegister = 0
Config.Account5.SUBSCRIBE.SubscribeACDExpire = 1800
Config.Account5.SUBSCRIBE.SubsribeMWI = 0
Config.Account5.SUBSCRIBE.SubscribeMWIExpire = 1800

Config.Account5.CALL.UseRemoteCodec = 1
Config.Account5.CALL.Enable100Rel = 0
Config.Account5.CALL.CIDSource = 0
Config.Account5.CALL.Ptime = 20
Config.Account5.CALL.UserPhone = 0
Config.Account5.CALL.RdrInfoDetection = 0

Config.Account5.FEATURE_DND.Enable = 
Config.Account5.FEATURE_DND.OnCode = 
Config.Account5.FEATURE_DND.OffCode = 
Config.Account5.FEATURE_DND.ReturnCode = 

Config.Account5.FEATURE_FORWARD_ALWAYS.Enable = 
Config.Account5.FEATURE_FORWARD_ALWAYS.Target = 
Config.Account5.FEATURE_FORWARD_ALWAYS.OnCode = 
Config.Account5.FEATURE_FORWARD_ALWAYS.OffCode = 

Config.Account5.FEATURE_FORWARD_BUSY.Enable = 
Config.Account5.FEATURE_FORWARD_BUSY.Target = 
Config.Account5.FEATURE_FORWARD_BUSY.OnCode = 
Config.Account5.FEATURE_FORWARD_BUSY.OffCode = 

Config.Account5.FEATURE_FORWARD_TIMEOUT.Enable = 
Config.Account5.FEATURE_FORWARD_TIMEOUT.Target = 
Config.Account5.FEATURE_FORWARD_TIMEOUT.OnCode = 
Config.Account5.FEATURE_FORWARD_TIMEOUT.OffCode = 
Config.Account5.FEATURE_FORWARD_TIMEOUT.TimeOut = 

Config.Account5.Audio0.Enable = 1
Config.Account5.Audio1.Enable = 1
Config.Account5.Audio2.Enable = 0
Config.Account5.Audio3.Enable = 0
Config.Account5.Audio4.Enable = 1
Config.Account5.Audio5.Enable = 1
Config.Account5.Audio6.Enable = 0
Config.Account5.Audio7.Enable = 0
Config.Account5.Audio8.Enable = 0
Config.Account5.Audio9.Enable = 0
Config.Account5.Audio10.Enable = 0
Config.Account5.Audio11.Enable = 0
Config.Account5.Audio12.Enable = 0

Config.Account5.AOC.AocEnable = 0

Config.Account5.RINGTONE.Type = 

Config.Account5.ESCAPE_CHARACTER.Enable = 1

Config.Account5.ADVANCED.ShowMissedCall = 1

Config.Account5.Call.RdrInfoDetection = 1

Config.Account5.HOTELING.Enable = 0
Config.Account5.HOTELING.Mode =
Config.Account5.HOTELING.User = 
Config.Account5.HOTELING.Password = 
Config.Account5.HOTELING.AutoLogin = 0


#######################################################################################
## Account 6 - Tiptel 3240/3245/3275                                                 ##
#######################################################################################

Config.Account6.General.EditEnable =
Config.Account6.GENERAL.Enable = 0
Config.Account6.GENERAL.Label = 
Config.Account6.GENERAL.DisplayName = 
Config.Account6.GENERAL.UserName = 
Config.Account6.GENERAL.AuthName = 
Config.Account6.GENERAL.Pwd = 

Config.Account6.SIP.Server = 
Config.Account6.SIP.Server2 = 
Config.Account6.SIP.Port = 5060
Config.Account6.SIP.Port2 = 5060
Config.Account6.SIP.ListenPort = 5067
Config.Account6.SIP.TransType = 0
Config.Account6.SIP.ListenPortMin = 5067
Config.Account6.SIP.ListenPortMax = 5067

Config.Account6.OUTPROXY.Enable = 0
Config.Account6.OUTPROXY.Server = 
Config.Account6.OUTPROXY.Port = 5060
Config.Account6.OUTPROXY.BakServer = 
Config.Account6.OUTPROXY.BakPort = 5060

Config.Account6.Call.PreventSIPHacking = 1

Config.Account6.STUN.Enable = 0
Config.Account6.STUN.Server = 
Config.Account6.STUN.Port = 3478

Config.Account6.ENCRYPTION.SRTPEncryption = 0

Config.Account6.DTMF.Type = 2
Config.Account6.DTMF.InfoType = 0
Config.Account6.DTMF.Duration = 300
Config.Account6.DTMF.Power = 

Config.Account6.NAT.NatTraversal = 0
Config.Account6.NAT.StunServer = 
Config.Account6.NAT.StunPort = 3478
Config.Account6.NAT.UdpKeepEnable = 1
Config.Account6.NAT.UdpKeepInterval = 30
Config.Account6.NAT.Rport = 0

Config.Account6.BLF.SubscribePeriod = 1800
Config.Account6.BLF.BlfListUri = 
Config.Account6.BLF.BlfListCode = 
Config.Account6.BLF.BlfListBargeInCode = 

Config.Account6.VOICEMSG.Number = 

Config.Account6.MUSIC_SERVER.Uri = 
Config.Account6.MUSIC_SERVER.Enable = 0

Config.Account6.ANONYMOUS_CALL.Enable = 0
Config.Account6.ANONYMOUS_CALL.OnCode = 
Config.Account6.ANONYMOUS_CALL.OffCode = 

Config.Account6.REJECT_ANONYMOUSCALL.Enable = 0
Config.Account6.REJECT_ANONYMOUSCALL.OnCode = 
Config.Account6.REJECT_ANONYMOUSCALL.OffCode = 

Config.Account6.REG.Timeout = 1800
Config.Account6.REG.Timeout2 = 1800

Config.Account6.CONFERENCE.Type = 0
Config.Account6.CONFERENCE.Uri = 

Config.Account6.AUTO_ANSWER.Enable = 0

Config.Account6.SESSION.EnableTimer = 0
Config.Account6.SESSION.Interval = 1800
Config.Account6.SESSION.Refresher = 0

Config.Account6.SUBSCRIBE.SubscribePeriod = 1800
Config.Account6.SUBSCRIBE.SubscribeRegister = 0
Config.Account6.SUBSCRIBE.SubscribeACDExpire = 1800
Config.Account6.SUBSCRIBE.SubsribeMWI = 0
Config.Account6.SUBSCRIBE.SubscribeMWIExpire = 1800

Config.Account6.CALL.UseRemoteCodec = 1
Config.Account6.CALL.Enable100Rel = 0
Config.Account6.CALL.CIDSource = 0
Config.Account6.CALL.Ptime = 20
Config.Account6.CALL.UserPhone = 0
Config.Account6.CALL.RdrInfoDetection = 0

Config.Account6.FEATURE_DND.Enable = 
Config.Account6.FEATURE_DND.OnCode = 
Config.Account6.FEATURE_DND.OffCode = 
Config.Account6.FEATURE_DND.ReturnCode = 

Config.Account6.FEATURE_FORWARD_ALWAYS.Enable = 
Config.Account6.FEATURE_FORWARD_ALWAYS.Target = 
Config.Account6.FEATURE_FORWARD_ALWAYS.OnCode = 
Config.Account6.FEATURE_FORWARD_ALWAYS.OffCode = 

Config.Account6.FEATURE_FORWARD_BUSY.Enable = 
Config.Account6.FEATURE_FORWARD_BUSY.Target = 
Config.Account6.FEATURE_FORWARD_BUSY.OnCode = 
Config.Account6.FEATURE_FORWARD_BUSY.OffCode = 

Config.Account6.FEATURE_FORWARD_TIMEOUT.Enable = 
Config.Account6.FEATURE_FORWARD_TIMEOUT.Target = 
Config.Account6.FEATURE_FORWARD_TIMEOUT.OnCode = 
Config.Account6.FEATURE_FORWARD_TIMEOUT.OffCode = 
Config.Account6.FEATURE_FORWARD_TIMEOUT.TimeOut = 

Config.Account6.Audio0.Enable = 1
Config.Account6.Audio1.Enable = 1
Config.Account6.Audio2.Enable = 0
Config.Account6.Audio3.Enable = 0
Config.Account6.Audio4.Enable = 1
Config.Account6.Audio5.Enable = 1
Config.Account6.Audio6.Enable = 0
Config.Account6.Audio7.Enable = 0
Config.Account6.Audio8.Enable = 0
Config.Account6.Audio9.Enable = 0
Config.Account6.Audio10.Enable = 0
Config.Account6.Audio11.Enable = 0
Config.Account6.Audio12.Enable = 0

Config.Account6.AOC.AocEnable = 0

Config.Account6.RINGTONE.Type = 

Config.Account6.ESCAPE_CHARACTER.Enable = 1

Config.Account6.ADVANCED.ShowMissedCall = 1

Config.Account6.Call.RdrInfoDetection = 1

Config.Account6.HOTELING.Enable = 0
Config.Account6.HOTELING.Mode =
Config.Account6.HOTELING.User = 
Config.Account6.HOTELING.Password = 
Config.Account6.HOTELING.AutoLogin = 0


#######################################################################################
## uACSTA Configuration / uACSTA Configuratie                                        ##
#######################################################################################
#
# The uACSTA configuration is done by adding an extra account to the provisioning configuration.
# Because of that you have to add one account which should monitor the actual account.
# It depends on how many accounts you have in your model, which account you need to configure to enable uACSTA.
# Please see below the models and which account you need to configure.
# The X in the configuration lines is your account 2 - 7.
#
# Please be aware that the 3220XL does not has support for uACSTA!
#
# De uACSTA configuratie wordt gedaan door een extra account toe te voegen aan de provisioning configuratie.
# U dient dat dus te doen, zodat men hiermee kan bepalen welk account de monitoring dient plaats te vinden.
# Dit is afhankelijk van hoeveel accounts aanwezig zijn in het model wat gebruikt wordt, zodat men weet welk account toe te voegen
# om uACSTA te activeren. Zie ook de lijst hieronder voor welk model het account geconfigureerd dient te worden.
# De X in de configuratie regel is het account 2 - 7.
#
# Let op dat de 3220XL geen ondersteuning biedt voor uACSTA!
#
# 
# tiptel 3210: Account 2
# tiptel 3220: Account 3
# tiptel 3230: Account 4
# tiptel 3235: Account 7
# tiptel 3240: Account 7
# tiptel 3245: Account 7
# tiptel 3275: Account 7
#
# Enable or disable the uASCST account; 0:Disabled (Default); 1:Enabled
# In- of uitschakelen van het uASCST account; 0:Uitgeschakeld (standaard); 1:Ingeschakeld
#
#Config.AccountX.GENERAL.Enable = 0

# Configure the extension number which you want to monitor, e.g. number 200
# Configureer het extensie nummer wat men wil monitoren, b.v. nummer 200
#
#Config.AccountX.GENERAL.UserName = 
#Config.AccountX.GENERAL.AuthName = 

# Configure password which is needed to register on the CTI platform
# Configureer het wachtwoord wat nodig is op het CTI platform
#
#Config.AccountX.GENERAL.Pwd = 

# Configure the IP address or domain name of the CTI server
# Configureer het server adres of domein naam van de CTI server
#
#Config.AccountX.SIP.Server = 

# Configure the port the CTI server uses
# Configureer de poort die door de CTI server gebruikt wordt
#
#Config.AccountX.SIP.Port =

# Configure account nr. to monitor (1-6)
# Configure account nummer om te monitoren (1-6)
#
#Config.AccountX.UACSTA.ControlAccountID =

# uACSTA account for/voor tiptel 3210
#
Config.Account2.GENERAL.Enable = 0
Config.Account2.GENERAL.UserName = 
Config.Account2.GENERAL.AuthName = 
Config.Account2.GENERAL.Pwd = 
Config.Account2.SIP.Server = 
Config.Account2.SIP.Port = 6060
Config.Account2.UACSTA.ControlAccountID = 1

# uACSTA account for/voor tiptel 3220
#
Config.Account3.GENERAL.Enable = 0
Config.Account3.GENERAL.UserName = 
Config.Account3.GENERAL.AuthName = 
Config.Account3.GENERAL.Pwd = 
Config.Account3.SIP.Server = 
Config.Account3.SIP.Port = 6060
Config.Account3.UACSTA.ControlAccountID = 1

# uACSTA account for/voor tiptel 3230
#
Config.Account4.GENERAL.Enable = 0
Config.Account4.GENERAL.UserName = 
Config.Account4.GENERAL.AuthName = 
Config.Account4.GENERAL.Pwd = 
Config.Account4.SIP.Server = 
Config.Account4.SIP.Port = 6060
Config.Account4.UACSTA.ControlAccountID = 1

# uACSTA account for/voor tiptel 3235/3240/3245/3275
#
Config.Account7.GENERAL.Enable = 0
Config.Account7.GENERAL.UserName = 
Config.Account7.GENERAL.AuthName = 
Config.Account7.GENERAL.Pwd = 
Config.Account7.SIP.Server = 
Config.Account7.SIP.Port = 6060
Config.Account7.UACSTA.ControlAccountID = 1

#
# End MAC_Oriented_provisioning_template.cfg 
# Einde MAC_Oriented_provisioning_template.cfg
#
# Copyright (c) 2015-2016; tiptel b.v.
#
#