<?php

$this->widget('bootstrap.widgets.TbAlert', array(
    'block' => true, // display a larger alert block?
    'fade' => true, // use transitions?
    'closeText' => '&times;', // close link text - if set to false, no close link is displayed
));
$this->widget('ext.PlGrid.PlGridView', array(
    'id' => 'ringtone-grid',
    'headerTitle' => 'Header_title', // optional
    'addButtonTitle' => 'ADD_NEW_RINGTONE', // optional
    'modalCreateHeader' => 'RINGTONE_HEADER_CREATE', // optional
    'itemsCssClass' => 'plTable items',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'enableSearchButton' => false,
    'columns' => array(
        array(
            'name' => 'fileName',
            'header' => $model->getAttributeLabel('fileName'),
            'headerHtmlOptions' => array('data-translation-id' => 'RINGTONE_MODEL_FILE_NAME'),
        ),
        array(
            'class' => 'ext.PlGrid.PlCButtonColumn',
            'template' => '{delete}',
        )
    ),
        )
);
