<?php
$script = 'var targetOnTimeout = $("#CallGroup_target_on_timeout");'
        . 'var targetOnBusy = $("#CallGroup_target_on_busy");'
        . 'var targetOnNightcircut = $("#CallGroup_target_on_nightcircut");'
        . 'if (targetOnTimeout.val() == ' . TargetType::Manual . ') {'
        . 'checkManualNumber(targetOnTimeout[0])'
        . '};'
        . 'if (targetOnBusy.val() == ' . TargetType::Manual . ') {'
        . 'checkManualNumber(targetOnBusy[0])'
        . '};'
        . 'if (targetOnNightcircut.val() == ' . TargetType::Manual . ') {'
        . 'checkManualNumber(targetOnNightcircut[0])'
        . '};';

Yii::app()->clientScript->registerScript('manualTarget', $script);

$targetList = $model->getTargetList();
$targetList[__('RENDER_TARGET_MANUAL')] = array(TargetType::Manual => __('RENDER_TARGET_TYPE_MANUAL'));
$visibleStyle = 'style="display:none; margin-left: 180px;"';

echo '<div class="target_on_timeout">';
echo $form->dropDownListRow($model, 'target_on_timeout', $targetList, array(
    'class' => $class,
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_TARGET_ON_TIMEOUT',
    'data-translation-target' => 'TARGET_ON_TIMEOUT_DROPDOWN',
    'onChange' => 'checkManualNumber(this);',
    'options' => array(
        $model->getSelectedValueForTarget('target_on_timeout') => array('selected' => true)
    )
        )
);

if ($model->target_on_timeout == TargetType::Manual) {
    $visibleStyle = 'style="display:block;"';
}
echo '<div class="targetManualTarget"' . $visibleStyle . '>';
echo CHtml::textField('CallGroup[target_on_timeout-manual]', $model->target_type_on_timeout == TargetType::Manual ? $model->target_on_timeout : '', array(
    'class' => 'hideableInput span2 ',
        )
);
echo '</div></div>';

echo '<div class="target_on_busy">';
echo $form->dropDownListRow($model, 'target_on_busy', $targetList, array(
    'class' => $class,
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_TARGET_ON_BUSY',
    'data-translation-target' => 'TARGET_ON_BUSY_DROPDOWN',
    'onChange' => 'checkManualNumber(this);',
    'options' => array(
        $model->getSelectedValueForTarget('target_on_busy') => array('selected' => true)
    )
        )
);

if ($model->target_on_busy == TargetType::Manual) {
    $visibleStyle = 'style="display:block;"';
}
echo '<div class="targetManualTarget"' . $visibleStyle . '>';
echo CHtml::textField('CallGroup[target_on_busy-manual]', $model->target_type_on_busy == TargetType::Manual ? $model->target_on_busy : '', array(
    'class' => 'hideableInput span2 ',
        )
);
echo '</div></div>';

echo '<div class="target_on_nightcircut">';
echo $form->dropDownListRow($model, 'target_on_nightcircut', $targetList, array(
    'class' => $class,
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_TARGET_ON_NIGHTCIRCUT',
    'data-translation-target' => 'TARGET_ON_NIGHTCIRCUT_DROPDOWN',
    'onChange' => 'checkManualNumber(this);',
    'options' => array(
        $model->getSelectedValueForTarget('target_on_nightcircut') => array('selected' => true)
    )
        )
);

if ($model->target_on_nightcircut == TargetType::Manual) {
    $visibleStyle = 'style="display:block;"';
}
echo '<div class="targetManualTarget"' . $visibleStyle . '>';
echo CHtml::textField('CallGroup[target_on_nightcircut-manual]', $model->target_type_on_nightcircut == TargetType::Manual ? $model->target_on_nightcircut : '', array(
    'class' => 'hideableInput span2 ',
        )
);
echo '</div></div>';

echo $form->textFieldRow($model, 'max_hold_time', array(
    'class' => 'span1',
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_MAX_HOLD_TIME',
    'append' => __('QUEUE_MODEL_WAITING_TIME_SECONDS'),
        )
);

echo $form->textFieldRow($model, 'default_ring_time', array(
    'class' => 'span1',
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_MAX_DEFAULT_SLIDER',
    'append' => __('QUEUE_MODEL_WAITING_TIME_SECONDS'),
        )
);

echo $form->checkBoxRow($model, 'night_circut', array(
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_NIGHT_CIRCUT',
));

if (PhonalisaLicenseManager::routingScriptExtensionMax() !== 0) {
    echo $form->dropDownListRow($model, 'scriptExtension', ScriptExtension::model()->listData, array(
        'class' => 'span3',
        'data-translation-id' => 'USER_MODEL_SCRIPT_EXTENSION',
            )
    );
}
?>

<style>
    .hideableClose{
        cursor: pointer;
        background-color: #fff; /*FIXME */

    }
    .hideableClose:after{
        color: #999;
        content: "\f00d";
        font-family: FontAwesome;
        margin-left: -20px;
        vertical-align: middle;
        font-style: normal;
    }

    .hideableClose:hover:after{
        color: #666;
    }
</style>
<script>
    $('<i class="hideableClose" ></i>').insertAfter($('.hideableInput'));
    $(".hideableInput").parent().on('click', '.hideableClose', function (el) {
        $parent = $(this).parent();
        $parent.hide();
        $parent.prev().css("display", "block");
        $parent.prev().find('select').val('');

        $manualTarget = $($parent).parent();
        $($manualTarget[0]).find('.controls').css("display", "block");
    });

    function checkManualNumber(elem) {
        var manualTarget = "<?php echo TargetType::Manual ?>";

        if (elem.options[elem.selectedIndex].value === manualTarget) {
            $(elem).parent().hide();
            $(elem).parents().parents().eq(1).find('.targetManualTarget').css("display", "block");
            $(elem).parents().parents().eq(1).find('.targetManualTarget').appendTo($(elem).parent().parent());
        } else {
            $(elem).parents().parents().eq(1).find('.targetManualTarget').hide();
        }
    }
</script>
