<?php

$this->widget('ext.PlGrid.PlGridView', array(
    'id' => 'music-on-hold-grid',
    'headerTitle' => 'MUSIC_ON_HOLD_NAVBAR_TITLE', // optional
    'addButtonTitle' => 'ADD_NEW_MUSIC_ON_HOLD_NAVBAR', // optional
    'searchButtonTitle' => 'MUSIC_ON_HOLD_NAVBAR_SEARCH', // optional
    'modalCreateHeader' => 'MUSIC_ON_HOLD_HEADER_CREATE', // optional
    'modalUpdateHeader' => 'MUSIC_ON_HOLD_HEADER_UPDATE', // optional
    'headerAttribute' => 'name',
    'itemsCssClass' => 'plTable items',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'showAlertBlock' => true,
    'alertAutoHide' => false,
    'columns' => array(
        array(
            'name' => 'name',
            'header' => $model->getAttributeLabel('name'),
            'headerHtmlOptions' => array('data-translation-id' => 'MUSIC_ON_HOLD_MODEL_NAME'),
        ),
        array(
            'name' => 'descr',
            'header' => $model->getAttributeLabel('descr'),
            'headerHtmlOptions' => array('data-translation-id' => 'MUSIC_ON_HOLD_MODEL_DESCR'),
        ),
        array(
            'class' => 'ext.PlGrid.PlCButtonColumn',
            'header' => '&nbsp;',
            'template' => '{playlist}',
            'buttons' => array(
                'playlist' => array(
                    'label' => '<i class="icon-music"></i>',
                    'imageUrl' => false,
                    'options' => array(
                        'title' => __('SYSTEMMUSICONHOLD_PLAYLIST_TOOLTIP'),
                    ),
                    'url' => 'Yii::app()->createUrl("systemMusicOnHold/default/playlist", array("playlistId"=>"$data->id"))',
                ),
            )
        ),
        array(
            'class' => 'ext.PlGrid.PlCButtonColumn',
            'template' => '{ajaxUpdate}{delete}',
        )
    ),
        )
);
