<?php
$form = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'admin-user-form',
    'loadCoreScripts' => true,
    'action' => array("index")
        ));

echo '<h3 data-translation-id="WIZARD_ADMIN_USER_HEADER_TEXT">' . __('WIZARD_ADMIN_USER_HEADER_TEXT') . '</h3>';
echo '<div class="well well-small" data-translation-id="WIZARD_ADMIN_USER_TEXT">' . __('WIZARD_ADMIN_USER_TEXT') . '</div>';


//dump($admin->attributes);
echo $form->textFieldRow($admin, "name");
echo $form->passwordFieldRow($admin, "password");
echo $form->passwordFieldRow($admin, "confirmPassword");
echo $form->textFieldRow($admin, "firstname");
echo $form->textFieldRow($admin, "lastname");
echo $form->textFieldRow($admin, "extension");
echo $form->textFieldRow($admin, "email");
echo $form->passwordFieldRow($admin, "pin");



echo CHtml::submitButton("next", array(
                    'type' => 'htmlSubmit',
                    'value' => 'next',
                    'label' => __('WIZARD_NEXT_BTN'),
                    'name' => 'WizardForm[next]',
                    'class' => 'btn btn-primary',
                    'id' => 'originalNextBtn',
                    'data-translation-id' => 'WIZARD_SKIP_BTN',
                    'style' => 'display:none',
                ));

$this->endWidget();

$navigation = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'nav-form',
    'loadCoreScripts' => true,
    'clientOptions' => array('validateOnSubmit'=>false), // FIXME
    'action' => array("index")
));
           
echo CHtml::submitButton("prevButton", array(
                    'type' => 'htmlSubmit',
                    'value' => 'prev',
                    'label' => __('WIZARD_PREV_BTN'),
                    'name' => 'WizardForm[prev]',
                    'class' => 'btn',
                    'data-translation-id' => 'WIZARD_PREV_BTN',
                    'id' => 'originalPrevBtn',
                    'style' => 'display:none',
));

echo CHtml::submitButton("skip", array(
                    'type' => 'htmlSubmit',
                    'value' => 'skip',
                    'label' => __('WIZARD_NEXT_BTN'),
                    'name' => 'WizardForm[skip]',
                    'class' => 'btn btn-primary',
                    'id' => 'originalSkipBtn',
                    'data-translation-id' => 'WIZARD_SKIP_BTN',
                    'style' => 'display:none',
                    "disabled" => "disabled"
                ));
$this->endWidget();
?>
<script>

    function submitForm() {
        $('#admin-user-form').submit();
    }

    function skipStep()
    {
        return;
    }

    $(function () {
        // Handler for .ready() called.
        $('#nextBtn').attr('disabled', $('#originalNextBtn').attr('disabled'));
        $('#prevBtn').attr('disabled', $('#originalPrevBtn').attr('disabled'));
        $('#skipBtn').attr('disabled', $('#originalSkipBtn').attr('disabled'));

        $('#skipBtn').click(function () {
            $('#originalSkipBtn').click();
        });

        $('#nextBtn').click(function () {
            $('#originalNextBtn').click();
        });

        $('#prevBtn').click(function () {
            $('#originalPrevBtn').click();
        });
    });

</script>