<script>
jQuery(document).ready(function($) {
	$('#loginOuter').css('opacity', 1);	


    // Find input fields
    var textboxes = $("input:text, input:password");
    textboxes[0].focus();
    
    // Track keyboard
    if($.browser.mozilla){
        $(textboxes).keypress(checkForEnter);
    }
    else{
        $(textboxes).keydown(checkForEnter);
    }

    function checkForEnter(event) {
    	currentTextboxNumber = textboxes.index(this);
    
        if(event.keyCode == 13){
        	$("#yt0").click();
            return false;
        }
        
        if(event.keyCode == 9){
        	console.log('tab presssed');
            if(currentTextboxNumber == 0) {
                textboxes[1].focus();
            }
            else{
	            textboxes[0].focus();
            }
            return false;
        }
    }
    
    $('#rememberMeToggle').click(function(){
        $("#LoginForm_rememberMe").prop('checked', !$(this).hasClass('active'));        
        $(this).toggleClass('active');
    });
});    
</script>
<style>
#passwordResetLink a {
  padding-right: 90px;
  color: #6d7078;
}

.showMobileView {
    position: absolute;
    width: 100%;
    bottom: 0px;
}
</style>
<?php
if(cfg("TRANSLATE_MODE") && app()->params->devMode) {
    cs()->registerScriptFile(Yii::app()->baseUrl . '/js/jquery.contextmenu.js', CClientScript::POS_HEAD);
    cs()->registerScriptFile(Yii::app()->baseUrl . '/js/pl-translator.js', CClientScript::POS_HEAD);
    cs()->registerScript('translation', "
        var translator;
        $(function() {
            translator = new $.plTranslator({
                url: '".url('translation')."',
            });
        });
        
        $(document).ajaxSuccess(function() {
            translator.update();
        });
    ");
}
$this->pageTitle=Yii::app()->name . ' - Login';
?>
<div id="loginWrapper">

<div id="loginOuter" style="opacity:0">
	<div id="loginHeader">
            <h1><?php echo "Phonalisa " . PhonalisaLicenseManager::getVersion(true); ?></h1>
	</div>
	<div id="loginInner">
		<img src="<?php echo Yii::app()->request->getBaseUrl(true); ?>/img/backgrounds/loginIcon.png" id="loginIcon" />
<?php 
		$form = $this->beginWidget('CActiveForm', array(
			'id'=>'login-form',
			'enableClientValidation'=>true,
			'clientOptions'=>array(
				'validateOnSubmit'=>true,
			),
		));
		echo $form->textField(
                        $model,
                        'username',
                        array(
                            'autocapitalize'=>'off',
                            'placeholder'=>$model->getAttributeLabel('username'),
                            'spellcheck'=>'false',
                            'data-translation-id'=>"LOGIN_USERNAME"
                        )) . "<br />\n";
                
		echo $form->passwordField(
                        $model,
                        'password',
                        array(
                            'placeholder'=>$model->getAttributeLabel('password'),
                            'data-translation-id'=>'LOGIN_PASSWORD'
                        )) . "<br />\n";
		echo $form->checkBox($model, 'rememberMe', array('style' => 'display:none'));
		
		$rememberActiveClass = $model->rememberMe ? ' class="active"' : ''; 
		echo '<a id="rememberMeToggle" '.$rememberActiveClass.' rel="tooltip" title="'.$model->getAttributeLabel('rememberMe').'" data-placement="left"><i class="icon-save"></i></a>';
		//echo $form->label($model, 'rememberMe');
		
		echo CHtml::ajaxButton(__('LOGIN_LOGIN_BUTTON'), array('site/AjaxLogin'),array(
				        'type'=>'POST',
				        'dataType'=>'json',
				        //'update'=>'#res',
				        'beforeSend' => 'function(){
				            //$("#resultStudentCourse").addClass("loading");
				        }',
				        'complete' => 'function(jqXHR, textStatus){
					    //console.log(jqXHR);
				            //$("#resultStudentCourse").removeClass("loading");
					}',
					'error'=>'function(jqXHR,textStatus,errorThrown) {
// 					    console.log(jqXHR.responseText);
 					    alert(jqXHR.status+": "+errorThrown)
					}',
					'success' => 'function(data){
					    console.log(data);
					    if(data.logedIn){
					      $("#loginOuter").css("opacity", 0);
						setTimeout(function() {
						  window.location = data.returnUrl;
						}, 500);
				        		
					    } else {
					      $("#loginOuter").addClass("shake");
					      setTimeout(function() {
						$("#loginOuter").removeClass("shake");
					      }, 1500);
				        		
					      console.log(data);
					      // Toggle card if login fail
					      $(".flipLink").click();		
					    }
					}',
				
				),array(
                                    "data-translation-id"=>"LOGIN_LOGIN_BUTTON"
                                )
                            ) . "\n";
				
				echo '<br>';
		// Password reset link : 
		echo "<div id='passwordResetLink'>";
		echo l(__("LOGIN_RESET_PASSWORD_LINK"),url('site/resetPassword'), array("data-translation-id"=>"LOGIN_RESET_PASSWORD_LINK"));
		echo "</div>";
		$this->endWidget();
		
?>	
		
	</div>  
</div>
<?php if (Yii::app()->detectMobileBrowser->isMobile) { ?>
<button id="footer" class="showMobileView ui-btn ui-shadow" data-role="footer"><?php echo __("LOGIN_SHOW_MOBILE_VIEW"); ?></button>
<?php } ?>
<script>
    $(".showMobileView").on("click", function () {
        $.ajax({
            url: "<?php echo url('site/changeMobileView'); ?>",
            type: "POST",
            dataType: "json",
            data: {
                'showMobile': 'true'
            },
            success: function (data)
            {
                if (data === "refresh") {
                    window.location.reload();
                }
            }
        });
        return false;
    });
</script>
